<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Cobranza";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}
$cerrado = 0;
$sql = "SELECT nro_rendicion
from rendicion 
where id_empresa    = :id_empresa
  and nro_caja      = :nro_caja
  and fecha_cierre  is null
  and fecha_apertura != :fecha_apertura
   ";
$stmt = $conn->prepare($sql);
$stmt->execute(array(
  ':id_empresa'     =>  $_SESSION['id_empresa'],
  ':nro_caja'       =>  $_POST['nro_caja'],
  ':fecha_apertura' =>  date("Y-m-d")

));
$resultado = $stmt->fetch();
if ($resultado) {
  $nrocaja = $_POST['nro_caja'];
  $cerrado = 2;
  //echo "<center> La rendición anterior aun esta abierta, favor cerrar</center>";
  //echo '<h2><center><a href="cerrar_caja.php?nro_caja=' . $nrocaja . '&csrf_token='. $_SESSION['csrf_token'].'">Cerrar Caja</a> </center></h2>';
  //exit();
} else {

  $sql = "SELECT  a.*, b.id_usuario, c.nombres, c.apellidos, d.nombre_empresa
        from rendicion as a
        inner join caja as b 
        on a.nro_caja = b.nro_caja
        INNER JOIN usuarios as c 
        on b.id_usuario = c.id
        INNER JOIN empresas as d 
        on a.id_empresa = d.id  
        where a.id_empresa = :id_empresa
        and a.nro_caja  = :nro_caja
        and a.fecha_apertura = :fecha_apertura 
        and fecha_cierre is null ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(
    ':id_empresa'     =>  $_SESSION['id_empresa'],
    ':nro_caja'       =>  $_POST['nro_caja'],
    ':fecha_apertura' =>  date("Y-m-d")

  ));
  $resultado = $stmt->fetch();
  if ($resultado) {
  } else {
    $nrocaja = $_POST['nro_caja'];

    $cerrado = 1;
    // echo "<center> La Caja está cerrada</center>";
    //echo '<h2><center><a href="apertura_caja.php?nro_caja=' . $nrocaja . '&csrf_token='. $_SESSION['csrf_token'].'">Apertura Caja</a> </center></h2>';

    // exit();
  }
}



?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <!-- Main content -->
  <section class="content">
    <!-- Default box -->
    <div class="card">





      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">Datos de la Caja</h3>
        </div>

        <?php
        if ($cerrado == 1) {
        ?>
          <form method="POST" action="apertura_caja.php">
            <input type="hidden" name="nro_caja" value="<?php echo $nrocaja; ?>">
            <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">

            <center>
              <p> Caja Cerrarda</p>
              <button type="submit" class="btn btn-warning">Abrir Caja </button>
            </center>
          </form>

        <?php
          exit();
        }

        if ($cerrado == 2) {
        ?>
          <form method="POST" action="cerrar_caja.php">
            <input type="hidden" name="nro_caja" value="<?php echo $nrocaja; ?>">
            <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">

            <center>
              <p> Caja Cerrarda</p>
              <button type="submit" class="btn btn-warning">La rendición anterior aun esta abierta, favor cerrar </button>
            </center>
          </form>

        <?php
          exit();
        }

        ?>



        <form id="formPrincipal">
          <div class="card-body">

            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <label for="nrocaja">Nro Caja</label>
                  <input type="text" class="form-control form-control-sm" id="nrocaja" name="nrocaja" value="<?php echo $_POST['nro_caja']; ?>" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="rendicion">Rendición</label>
                  <input type="text" class="form-control form-control-sm" id="rendicion" name="rendicion" value="<?php echo $resultado['nro_rendicion']; ?>" readonly>
                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="cajero">Cajero/a</label>
                  <input type="text" class="form-control form-control-sm" id="cajero" name="cajero" value="<?php echo $resultado['nombres'] . " " . $resultado['apellidos']; ?>" readonly>
                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="nombre_empresa">Empresa</label>
                  <input type="text" class="form-control form-control-sm" id="nombre_empresa" name="nombre_empresa" value="<?php echo $resultado['nombre_empresa']; ?>" readonly>
                </div>
              </div>




            </div>

            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <label for="socio_cedula">Cédula Socio</label>
                  <input type="text" class="form-control form-control-sm" id="socio_cedula" name="socio_cedula" value="" onblur="traerDatosSocios(this.id)">
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="socio_nombre">Nombres Socio</label>
                  <input type="text" class="form-control form-control-sm" id="socio_nombre" name="nombre_socio" value="" readonly>

                </div>
              </div>



              <div class="col-md-3">
                <div class="form-group">
                  <label for="socio_nro">Nro Socio</label>
                  <input type="text" class="form-control form-control-sm" id="socio_nro" name="socio_nro" value="" readonly>

                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="socio_celular">Celular</label>
                  <input type="text" class="form-control form-control-sm" id="socio_celular" name="socio_celular" value="" readonly>
                </div>
              </div>

            </div>

          </div>


          <center>
            <button type="button" class="btn btn-warning" onclick="buscarDeudas()">Buscar Deudas</button>
            <!--
            <button type="button" id="abrirConceptoModal" class="btn btn-success"  data-id-cliente="" onclick="agregarConcepto()" data-dismiss="modal">Agregar Concepto</button>
      -->
            <button type="button" id="abrirConceptoModal" class="btn btn-primary" data-id-cliente="" data-toggle="modal" data-target="#conceptoModal" style="display: none;">
              Agregar Concepto
            </button>




          </center>
        </form>

        <div class="table-responsive">

          <div class="table-container">
            <input type="text" id="filtroTabla" placeholder="Buscar" style="margin-bottom: 10px;">

            <table id="tablaDeudas" class="table table-bordered table-striped" border="1" style="margin-top: 20px; display:none;">
              <thead>
                <tr>
                  <th>Selec.</th>
                  <th>Nro.Documento</th>
                  <th>Posición</th>
                  <th>Cuota</th>
                  <th>Clase Doc.</th>
                  <th>Descripción</th>
                  <th>Importe</th>
                  <th>Importe Pagado</th>
                  <th>Saldo</th>
                  <th>Pago Parcial</th>

                  <th>Vencimiento</th>

                </tr>
              </thead>
              <tbody id="tablaBody">
                <!-- Las filas de deudas se agregarán aquí dinámicamente-->
              </tbody>
            </table>

            <form id="cobrarDeudasForm" action="cobrar_deudas.php" method="POST" style="display:none;">
              <input type="hidden" name="deudas" id="deudasInput">

              <input type="hidden" id="id_cliente" name="id_cliente">
              <input type="hidden" id="nro_caja" name="nro_caja" value="<?php echo $resultado['nro_caja']; ?>">
              <input type="hidden" id="id_cajero" name="id_cajero" value="<?php echo $resultado['id_usuario']; ?>">
              <input type="hidden" id="nro_rendicion" name="nro_rendicion" value="<?php echo $resultado['nro_rendicion']; ?>">
            </form>



          </div>
        </div>

        <button id="cobrarBtn" style="display:none;" type="button" class="btn btn-warning" onclick="cobrarDeudas()">Cobrar Deudas</button>

      </div>




    </div>
    <!-- /.card -->
  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php include("plantilla_pie.php"); ?>


<script>
  function buscarDeudas() {
    const socio_nro = $('#socio_nro').val();

    // console.log(socio_nro);

    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'funciones/getData.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: JSON.stringify({
        tipo: 'buscar_deuda',
        socio_nro: socio_nro
      }),
      contentType: 'application/json',
      success: function(response) {
        //  var obj = jQuery.parseJSON(response);
        // console.log(response); // Verificar la respuesta en la consola
        // var ack = obj.ack;
        let deudas = typeof response === 'string' ? JSON.parse(response) : response;

        //  console.log(response); // Verificar la respuesta en la consola
        // var response = response.ack;
        if (deudas[0].ack === 1) {
          myNotify = new Notify({
            status: 'warning',
            title: 'Atención',
            text: 'No se encontraron deudas para este cliente.',
            effect: 'slide',
            type: 'filled',
            position: 'right bottom'
          })



        } else {

          // Limpiar el contenido de la tabla antes de agregar nuevas filas
          $('#tablaBody').empty();
          // Recorre el array de deudas y agrega cada una a la tabla
          deudas.forEach(function(deuda) {
            let fila = `
        <tr>
        
              <td><input type="checkbox" class="seleccionarDeuda" value="${deuda.id}"></td>
              <td>${deuda.nro_documento}</td>
              <td>${deuda.posicion}</td>
              <td>${deuda.cuota}</td>
              <td>${deuda.clase_documento}</td>
              <td>${deuda.texto_posicion}</td>
              <td>${parseInt(deuda.importe).toLocaleString('es-PE').replace(/,/g, '.')}</td>
              <td>${parseInt(deuda.monto_pagado	).toLocaleString('es-PE').replace(/,/g, '.')}</td>
              <td>${parseInt(deuda.saldo).toLocaleString('es-PE').replace(/,/g, '.')}</td>
              <td>
              <input type="text" class="montoPagado" data-importe="${deuda.saldo}" 
              value="${parseInt(deuda.saldo).toLocaleString('es-PE').replace(/,/g, '.')}" 
              data-raw="${deuda.saldo}">
              </td>
              <td>${deuda.vencimiento}</td>


 
        </tr>
    `;
            $('#tablaBody').append(fila); // Agregar la fila al cuerpo de la tabla
          });


          // Lógica para actualizar el saldo en tiempo real
          $(document).on('input', '.montoPagado', function() {
            let rawValue = $(this).val().replace(/\./g, '').replace(/,/g, ''); // Quita separadores para procesar el número
            let montoPagado = parseFloat(rawValue) || 0; // Convierte el valor a número
            let importe = parseFloat($(this).data('importe')); // Obtiene el importe original

            if (montoPagado > importe) montoPagado = importe; // Asegura que no se supere el importe
            let saldo = importe - montoPagado; // Calcula el saldo

            // Actualiza los valores formateados
            $(this).val(montoPagado.toLocaleString('es-PE').replace(/,/g, '.')); // Formatea "Monto Pagado"
            //  $(this).closest('tr').find('.saldo').text(saldo.toLocaleString('es-PE').replace(/,/g, '.')); // Actualiza el saldo
          });

          // Mostrar la tabla si hay datos
          if (deudas.length > 0) {
            $('#tablaDeudas').show();
            document.getElementById('cobrarBtn').style.display = 'inline';
          } else {
            $('#tablaDeudas').hide(); // Ocultar la tabla si no hay deudas
            //  $('#responseMessage').html('<p>No se encontraron deudas para este cliente.</p>');
            myNotify = new Notify({
              status: 'warning',
              title: 'Atención',
              text: 'No se encontraron deudas para este cliente.',
              effect: 'slide',
              type: 'filled',
              position: 'right bottom'
            })
          }

        }


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al obtener los datos</p>');
        console.error('Error al obtener los datos:', error);
      }
    });
  }





  function traerDatosSocios() {

    const socio_cedula = $('#socio_cedula').val();
    //console.log(socio_cedula);

    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'funciones/getData.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: JSON.stringify({
        tipo: 'datos_socios',
        socio_cedula: socio_cedula

      }),
      contentType: 'application/json',
      success: function(response) {

        var obj = jQuery.parseJSON(response);

        //$("#nombre_socio").val(obj.primer_nombre);

        if (obj[0].ack === 0) {
          $("#socio_nombre").val(obj[0].primer_nombre + "  " + obj[0].primer_apellido);
          $("#socio_nro").val(obj[0].socio_nro);
          $("#id_cliente").val(obj[0].id_cliente);
          $("#socio_celular").val(obj[0].socio_celular);
          $('input[name="id_socio"]').val(obj[0].socio_nro);


          const idCliente = obj[0].id_cliente;
          // console.log(idCliente);

          // Asignar el id_cliente al botón
          $('#abrirConceptoModal').attr('data-id-cliente', idCliente);

          // Mostrar el botón si estaba oculto
          $('#abrirConceptoModal').show();


        } else {

          myNotify = new Notify({
            status: 'warning',
            title: 'Error,  Socio No existe',
            text: 'Por favor, verificar si el nro de cédula si es la correcta.',
            effect: 'slide',
            type: 'filled',
            position: 'right bottom'
          })

          $("#socio_nombre").val("");
          $("#socio_nro").val("");
          $("#socio_celular").val("");

        }

        // $('#responseMessage').html('<p>Datos guardado</p>');
        // console.log('Datos guardados con éxito:', response);


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al guardar los datos</p>');
        console.error('Error al guardar los datos:', error);
      }
    });


  }





  // Función para cobrar las deudas seleccionadas
  function cobrarDeudas() {
    const deudasSeleccionadas = [];

    // Recolectar las deudas seleccionadas y sus datos
    $('.seleccionarDeuda:checked').each(function() {
      const fila = $(this).closest('tr');
      const id = $(this).val();
      const montoPagado = fila.find('.montoPagado').val().replace(/\./g, '').replace(/,/g, '');
      const numeroDocumento = fila.find('td:nth-child(2)').text().replace(/\./g, '').replace(/,/g, '');
      const importeOri = fila.find('td:nth-child(9)').text().replace(/\./g, '').replace(/,/g, ''); // Importe original (columna 7)
      const posicionCuota = fila.find('td:nth-child(3)').text().replace(/\./g, '').replace(/,/g, ''); // Importe original (columna 7)
      const saldo = fila.find('.saldo').text().replace(/\./g, '').replace(/,/g, '');



      deudasSeleccionadas.push({
        id: id,
        montoPagado: montoPagado,
        importeOri: importeOri,
        posicionCuota: posicionCuota,
        numeroDocumento: numeroDocumento,
        saldo: saldo,
      });
    });

    if (deudasSeleccionadas.length > 0) {
      // Obtener los valores adicionales
      const nroCaja = $('#nro_caja').val();
      const rendicion = $('#nro_rendicion').val();
      const cajero = $('#id_cajero').val();
      const id_cliente = $('#id_cliente').val();
      const id_empresa = $('#id_empresa').val();




      // Preparar los datos para el envío
      const datos = {
        deudas: deudasSeleccionadas,
        nro_caja: nroCaja,
        rendicion: rendicion,
        cajero: cajero,
        id_cliente: id_cliente,
        id_empresa: id_empresa
      };

      // Asignar los datos al campo oculto del formulario
      $('#deudasInput').val(JSON.stringify(datos));

      // Enviar el formulario
      $('#cobrarDeudasForm').submit();
    } else {
      alert('Seleccione al menos una deuda para cobrar.');
    }
  }
</script>


<script>
  // Función para filtrar la tabla
 
  document.addEventListener('DOMContentLoaded', function() {
    let filtroTabla = document.getElementById('filtroTabla');
    if (filtroTabla) {
        filtroTabla.addEventListener('keyup', function() { 
            let filter = this.value.toLowerCase();
            let rows = document.querySelectorAll('#tablaDeudas tbody tr');
            rows.forEach(row => {
                let text = row.textContent.toLowerCase();
                row.style.display = text.includes(filter) ? '' : 'none';
            });
        });
    }
});

  // Función para seleccionar o deseleccionar todos los registros visibles
  document.addEventListener('DOMContentLoaded', function() {
    let seleccionarTodos = document.getElementById('seleccionarTodos');
    if (seleccionarTodos) {
        seleccionarTodos.addEventListener('change', function() {
            let isChecked = this.checked;
            let rows = document.querySelectorAll('#tablaDeudas tbody tr');

            rows.forEach(row => {
                if (row.style.display !== 'none') {
                    let checkbox = row.querySelector('input[type="checkbox"]');
                    if (checkbox) {
                        checkbox.checked = isChecked;
                    }
                }
            });
        });
    }
});



/*
  function agregarConcepto() {
    $('#conceptoModal').modal('show');
  }
*/
  function guardarConcepto() {
    // Obtener los valores del formulario
    const concepto = document.getElementById('concepto').value;
    const monto = document.getElementById('monto').value;
    const socioNro = document.getElementById('socio_nro').value;

    // Validar que todos los campos estén llenos
    if (!socioNro) {
      alert('Por favor, ingrese el número de socio en el formulario principal.');
      return;
    }
    if (!concepto || !monto) {
      alert('Por favor, complete todos los campos del modal.');
      return;
    }

    // Enviar los datos al servidor
    fetch('funciones/guardarConcepto.php', {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        // body: JSON.stringify({ concepto, monto }),
        body: JSON.stringify({
          socio_nro: socioNro,
          concepto,
          monto
        }),
      })
      .then(response => response.json())
      .then(data => {
        if (data.ack == 0) {
          alert('Concepto guardado exitosamente.');
          document.getElementById('formConcepto').reset();
          $('#conceptoModal').modal('hide');
        } else {
          alert('Error al guardar el concepto: ' + data.message);
        }
      })
      .catch(error => console.error('Error:', error));
  }



  $(document).ready(function() {
    $('#concepto').select2({
      placeholder: "Seleccionar una opcion", // Texto del placeholder
      theme: "classic" // Usa el tema de Bootstrap 4
    })

  });




 

$(document).ready(function () {
  /*
  console.log('jQuery está funcionando');

  $('#conceptoModal').on('show.bs.modal', function (event) {
    console.log('El modal se abrió correctamente');
  });

  $('#conceptoModal').on('shown.bs.modal', function () {
    console.log('El modal se mostró completamente');
  });
*/

  
 $('#conceptoModal').on('show.bs.modal', function (event) {

    console.log('El modal se abrió correctamente');

  // Obtener el botón que activó el modal
  const button = $(event.relatedTarget); // El botón que abre el modal

  // Obtener el valor del atributo data-id-cliente
  const clienteId = button.data('id-cliente');

  // Asignar el valor al campo de texto en el modal
  $('#idClienteInput').val(clienteId || 'ID no disponible');
});
});

</script>


<!-- Modal -->

<div class="modal fade" id="conceptoModal" tabindex="-1" role="dialog" aria-labelledby="conceptoModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="conceptoModalLabel">Agregar Concepto</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="formConcepto">
          <div class="form-group">
            <label for="concepto">Concepto</label>
            <select class="form-control" id="concepto" required>
              <option value="" disabled selected>Seleccione un concepto</option>
              <?php
              $sql_pa = "SELECT * FROM clase_documento WHERE estado = 1 AND concepto = 'SI' ORDER BY nombre ASC";
              $stmt = $conn->prepare($sql_pa);
              $stmt->execute();
              $resultado_pa = $stmt->fetchAll();
              foreach ($resultado_pa as $row_pa) {
                echo "<option value='" . $row_pa['codigo'] . "'>" . $row_pa['nombre'] . "</option>";
              }
              ?>
            </select>
          </div>
          <div class="form-group">
            <label for="monto">Monto</label>
            <input type="number" class="form-control" id="monto" placeholder="Ingrese el monto" required>
          </div>
          <!-- Contenedor para mostrar cuentas de ahorro -->
          <div class="form-group" id="cuentasAhorroContainer" style="display: none;">
            <label for="cuentasAhorro">Cuentas de Ahorro</label>
            <select class="form-control" id="cuentasAhorro">
              <option value="" disabled selected>Seleccione una cuenta de ahorro</option>
              <!-- Opciones dinámicas se cargarán aquí -->
            </select>
          </div>

          <!-- Contenedor para mostrar el id_cliente -->
          <div class="form-group">
            <label for="idClienteInput">ID Cliente</label>
            <input type="text" class="form-control" id="idClienteInput" readonly>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" onclick="guardarConcepto()">Guardar</button>
      </div>
    </div>
  </div>
</div>