<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Cobranza";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  $datos = json_decode($_POST['deudas'], true);
  $deudasJson = $_POST['deudas'];
  $deudas = $datos['deudas'];
  $nro_caja = $datos['nro_caja'];
  $rendicion = $datos['rendicion'];
  $cajero = $datos['cajero'];
  $id_cliente = $datos['id_cliente'];
  $id_empresa = $datos['id_empresa'];

  // Procesar los datos aquí
  $idsDeudas = [];
  foreach ($deudas as $deuda) {
    $id          = $deuda['id'];
    $montoPagado += $deuda['montoPagado'];
    $saldo       = $deuda['saldo'];

    $idsDeudas[] = $deuda['id']; // Agregar cada ID al array
  }

  $idsConcatenados = implode(',', $idsDeudas);
}




//$socio_nro   =  htmlspecialchars($_POST['id_socio']);
$caja_nro    =  htmlspecialchars($cajero);
$id_cliente  =  htmlspecialchars($id_cliente);
$arraydedua = $idsConcatenados;
$sql = "SELECT  a.*, b.id_usuario, c.nombres, c.apellidos, d.nombre_empresa
  from rendicion as a
	inner join caja as b 
	on a.nro_caja = b.nro_caja
	INNER JOIN usuarios as c 
	on b.id_usuario = c.id
	INNER JOIN empresas as d 
	on a.id_empresa = d.id  
  where a.id_empresa = :id_empresa
    and a.nro_caja  = :nro_caja
    and a.fecha_apertura = :fecha_apertura 
    and a.fecha_cierre is null";
$stmt = $conn->prepare($sql);
$stmt->execute(array(
  ':id_empresa'     =>  $_SESSION['id_empresa'],
  ':nro_caja'       =>  $nro_caja,
  ':fecha_apertura' =>  date("Y-m-d")
));
$resultado = $stmt->fetch();
if ($resultado) {
} else {

  echo "<center> La Caja está cerrada</center>";
  echo '<h2><center><a href="apertura_caja.php?nro_caja=' . $$nro_caja . '&csrf_token=' . $_SESSION['csrf_token'] . '">Apertura Caja</a> </center></h2>';

  exit();
}


$sql_cli = "SELECT  a.*
  from clientes as a
  where a.id_empresa = :id_empresa
    and a.id_cliente  = :id
     ";
$stmt = $conn->prepare($sql_cli);
$stmt->execute(array(
  ':id_empresa'     =>  $_SESSION['id_empresa'],
  ':id'             =>  $id_cliente

));
$resultado_cli = $stmt->fetch();



$sql_deu = "SELECT  sum(importe) as totalpagar
        from cuenta_corriente 
        where id_cliente = :id_cliente
        and id_empresa   = :id_empresa 
         AND id IN ($arraydedua)"; // $deudas debe ser una lista separada por comas.
$stmt = $conn->prepare($sql_deu);
$stmt->execute(array(
  ':id_cliente' =>  $id_cliente,
  ':id_empresa' =>  $_SESSION['id_empresa']
));
$resultado_deu = $stmt->fetch();
if ($resultado_deu) {
}

?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <!-- Main content -->
  <section class="content">
    <!-- Default box -->
    <div class="card">

      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">Datos de la Caja</h3>
        </div>


        <form id="formCaja">
          <div class="card-body">
            <input type="hidden" id="id_cliente" name="id_cliente" value="<?php echo $id_cliente; ?>">
            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <label for="nro_caja">Nro Caja</label>
                  <input type="text" class="form-control form-control-sm" id="nro_caja" name="nro_caja" value="<?php echo $_POST['nro_caja']; ?>" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="nro_rendicion">Rendición</label>
                  <input type="text" class="form-control form-control-sm" id="nro_rendicion" name="nro_rendicion" value="<?php echo $resultado['nro_rendicion']; ?>" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="nombre_cajero">Cajero/a</label>
                  <input type="text" class="form-control form-control-sm" id="nombre_cajero" name="nombre_cajero" value="<?php echo $resultado['nombres'] . " " . $resultado['apellidos']; ?>" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="nombre_empresa">Empresa</label>
                  <input type="text" class="form-control form-control-sm" id="nombre_empresa" name="nombre_empresa" value="<?php echo $resultado['nombre_empresa']; ?>" readonly>
                </div>
              </div>

            </div>

            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <label for="socio_cedula">Cédula Socio</label>
                  <input type="text" class="form-control form-control-sm" id="socio_cedula" name="socio_cedula" value="<?php echo $resultado_cli['cedula']; ?>" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="socio_nombre">Nombres Socio</label>
                  <input type="text" class="form-control form-control-sm" id="socio_nombre" name="socio_nombre" value="<?php echo $resultado_cli['primer_nombre'] . " " . $resultado_cli['primer_apellido']; ?>" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="socio_nro">Nro Socio</label>
                  <input type="text" class="form-control form-control-sm" id="socio_nro" name="socio_nro" value="<?php echo $resultado_cli['id_cliente']; ?>" readonly>
                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="id_ctacte">Cuentas</label>
                  <input type="text" class="form-control form-control-sm" id="id_ctacte" name="id_ctacte" value="<?php echo $arraydedua; ?>" readonly>
                </div>
              </div>

            </div>


            <div class="row">
              <div class="form-group">
                <label for="moneda">Moneda de Pago</label>
                <select type="text" name="moneda" id="moneda" class="form-control form-control-sm">
                  <option value="PYG">PYG</option>
                </select>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="montoTotal">Monto total a Pagar</label>
                  <input type="text" class="form-control form-control-sm" id="montoTotal" name="montoTotal" value="<?php echo  number_format($montoPagado, 0, '', '.');  ?>" oninput="calcularDiferencia()" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="totalIngresado">Monto Ingresado</label>
                  <input type="text" class="form-control form-control-sm" id="totalIngresado" name="totalIngresado" readonly>
                </div>
              </div>



              <div class="col-md-3">
                <div class="form-group">
                  <label for="diferencia">Falta</label>
                  <input type="text" class="form-control form-control-sm" id="diferencia" name="diferencia" readonly>
                </div>
              </div>

            </div>

            <div class="row">
            <div class="col-md-3">
                <div class="form-group">
                  
                  
                <input type="hidden" name="deudas" value="<?php echo htmlspecialchars($deudasJson, ENT_QUOTES, 'UTF-8'); ?>">
                </div>
              </div>
            
            </div>

          </div>
          <!-- /.card-body -->


          <!--
                  <button type="submit" class="btn btn-primary">Guardar</button>
                  <center>
            <button type="button" class="btn btn-success" onclick="buscarDeudas()" data-dismiss="modal">Buscar Deudas</button>
            </center>
                   -->



          <div class="table-responsive">
            <table id="tablaPagos" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Concepto</th>
                  <th>Importe</th>
                  <th>Nro Cheque</th>
                  <th>Banco</th>
                  <th>Fecha Vencimiento</th>
                  <th>Código Depósito</th>
                  <th>Acciones</th>
                </tr>
              </thead>
              <tbody id="tablaBody">
                <tr>
                  <td>
                    <select class="concepto" onchange="toggleImporte(this)">
                      <option value="">Seleccione</option>
                      <?php
                      $sql_conc = "SELECT  * from concepto_caja where estado = 1  order by id ASC ";
                      $stmt = $conn->prepare($sql_conc);
                      $stmt->execute();
                      $resultado_conc = $stmt->fetchAll();
                      foreach ($resultado_conc as $row_conc) {
                        echo "<option value=" . $row_conc['codigo'] . ">" . $row_conc['nombre'] . "</option>";
                      }
                      ?>
                    </select>
                  </td>

                  <td>
                    <input type="text" class="importe" placeholder="Importe" style="display:none;" oninput="formatImporte(this); actualizarTotal()">
                  </td>

                  <td>
                    <input type="text" class="nroCheque" placeholder="Nro Cheque" style="display:none;">
                  </td>

                  <td>
                    <select class="banco" style="display:none;">

                      <option value="">Seleccione</option>
                      <option value="1">Ueno</option>
                      <option value="2">Banco Familiar</option>
                      <option value="3">Banco Itau</option>
                      <option value="4">Banco Atlas</option>

                    </select>
                  </td>

                  <td>
                    <input type="date" class="fechaVencimiento" style="display:none;">
                  </td>

                  <td>
                    <input type="text" class="codigoDeposito" placeholder="Código Depósito" style="display:none;">
                  </td>

                  <td>
                    <button type="button" onclick="agregarFila()">Agregar</button>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </form>




        <center>
          <div class="card-body">
            <a class="btn btn-app bg-warning" id="btnContabilizar">
              <span class="badge bg-info"></span>
              <i class="fas fa-save"></i> Contabilizar
            </a>
            <a href="#" class="btn btn-app bg-success" id="btnNuevoCobro">
              <span class="badge bg-purple"></span>
              <i class="fas fa-inbox"></i> Nuevo Cobro
            </a>

          </div>

        </center>




        <form id="formNuevoCobro" action="caja.php" method="POST" style="display: none;">
          <input type="hidden" id="nro_caja" name="nro_caja" value="<?php echo $_POST['nro_caja']; ?>">
        </form>



      </div>

    </div>
    <!-- /.card -->
  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>


<script>
  document.getElementById('btnNuevoCobro').addEventListener('click', function(event) {
    event.preventDefault(); // Evitar la acción predeterminada
  });


  // Función para deshabilitar el botón
  function disableButton() {
    const btn = document.getElementById('btnNuevoCobro');
    btn.classList.add('disabled'); // Agrega una clase para mostrar que está deshabilitado
    btn.style.pointerEvents = 'none'; // Deshabilita interacciones
    btn.style.opacity = '0.6'; // Cambia la apariencia visual
  }

  // Llama a la función para deshabilitar
  disableButton();


  function enableButton() {
    const btn = document.getElementById('btnNuevoCobro');
    btn.classList.remove('disabled'); // Quita la clase deshabilitada
    btn.style.pointerEvents = ''; // Habilita interacciones
    btn.style.opacity = ''; // Restaura el estilo original
  }


  // Función para deshabilitar el botón
  function disableButtonContabilizar() {
    const btn = document.getElementById('btnContabilizar');
    btn.classList.add('disabled'); // Agrega una clase para mostrar que está deshabilitado
    btn.style.pointerEvents = 'none'; // Deshabilita interacciones
    btn.style.opacity = '0.6'; // Cambia la apariencia visual
  }


  function toggleImporte(select) {
    const selectedValue = select.value;
    const row = $(select).closest('tr');

    // Ocultar todos los campos por defecto
    row.find('.importe, .nroCheque, .banco, .fechaVencimiento, .codigoDeposito').hide().val('');

    if (selectedValue === 'EF') {
      // Solo mostrar el campo "Importe" si se selecciona "Efectivo"
      row.find('.importe').show();
    } else if (selectedValue === 'TC' || selectedValue === 'CH' || selectedValue === 'CA' || selectedValue === 'TD' || selectedValue === 'TR' || selectedValue === 'GT' ||
      selectedValue === 'DB' || selectedValue === 'QR'
    ) {
      // Mostrar todos los campos si se selecciona "Tarjeta" o "Cheque"
      row.find('.importe, .nroCheque, .banco, .fechaVencimiento, .codigoDeposito').show();
    }
  }



  function agregarFila() {
    const newRow = `
                <tr>
                    <td>
                        <select class="concepto" onchange="toggleImporte(this)">
                            <option value="">Seleccione</option>
                            <option value="EF">EFECTIVO</option>
                            <option value="CH">CHEQUE AL DIA</option>
                            <option value="CA">CHEQUE ADELANTADO</option>
                            <option value="TC">TARJETA DE CREDITO</option>
                            <option value="TD">TARJETA DE DEBITO</option>
                            <option value="TR">TRANSFERENCIAS</option>
                            <option value="GT">GIROS TIGO</option>
                            <option value="DB">DEBITOS AUTOMATICOS</option>
                            <option value="QR">PAGOS CON QR</option>
                        </select>
                    </td>
                    <td>
                        <input type="text"  class="importe" placeholder="Importe" style="display:none;" oninput="formatImporte(this); actualizarTotal()">
                    </td>
                    <td>
                        <input type="text"  class="nroCheque" placeholder="Nro Cheque" style="display:none;">
                    </td>
                    <td>
                          <select class="banco"  style="display:none;">
                          <option value="">Seleccione</option>
                          <option value="1">Ueno</option>
                          <option value="2">Banco Familiar</option>
                          <option value="3">Banco Itau</option>
                          <option value="4">Banco Atlas</option>
                          </select>
                    </td>
                    <td>
                        <input type="date"    class="fechaVencimiento" style="display:none;">
                    </td>
                    <td>
                        <input type="text"  class="codigoDeposito" placeholder="Código Depósito" style="display:none;">
                    </td>
                    <td>
                        <button type="button" onclick="agregarFila()">Agregar</button>
                    </td>
                </tr>
            `;
    $('#tablaBody').append(newRow);
  }




  $(function() {
    $("#tablaPagos2").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,

      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#tablaPagos').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": false,
      "autoWidth": false,
      "responsive": true,
    });
  });



  function formatImporte(input) {
    // Eliminar caracteres no numéricos
    let value = input.value.replace(/\D/g, '');

    // Formatear el número con separador de miles
    if (value) {
      value = Number(value).toLocaleString('es-ES', {
        minimumFractionDigits: 0,
        maximumFractionDigits: 0
      });
    }

    // Asignar el valor formateado al input
    input.value = value;
  }



  function actualizarTotal() {
    let total = 0;

    // Sumar todos los valores de los campos de importe
    document.querySelectorAll('.importe').forEach(function(input) {
      let value = input.value.replace(/\./g, ''); // Eliminar puntos para convertir a número
      if (!isNaN(value) && value !== '') {
        total += parseInt(value, 10);
      }
    });

    // Mostrar el total ingresado con separador de miles
    document.getElementById('totalIngresado').value = total.toLocaleString('es-ES');
    calcularDiferencia(); // Actualizar la diferencia
  }

  function calcularDiferencia() {
    let total = document.getElementById('montoTotal').value.replace(/\./g, ''); // Eliminar puntos para convertir a número
    let totalIngresado = document.getElementById('totalIngresado').value.replace(/\./g, '');

    let diferencia = 0;
    let mensaje = '';

    const diferenciaInput = document.getElementById('diferencia');
    diferenciaInput.classList.remove('diferencia-negativa'); // Eliminar la clase de diferencia negativa si existe

    if (!isNaN(total) && !isNaN(totalIngresado) && total !== '' && totalIngresado !== '') {
      diferencia = parseInt(totalIngresado, 10) - parseInt(total, 10);

      // Determinar si es diferencia o vuelto
      if (diferencia < 0) {
        mensaje = 'Diferencia: ' + Math.abs(diferencia).toLocaleString('es-ES');
        diferenciaInput.classList.add('diferencia-negativa'); // Añadir la clase de diferencia negativa
      } else {
        mensaje = 'Vuelto: ' + diferencia.toLocaleString('es-ES');
      }
    }

    // Mostrar la diferencia o el vuelto con separador de miles
    diferenciaInput.value = mensaje;
  }
</script>




<script>
 function enviarDatos() {
    // Serializar los datos del formulario a un objeto
    const formData = {};
    const formArray = $('#formCaja').serializeArray();
    formArray.forEach(item => {
      formData[item.name] = item.value;
    });

    // Obtener los datos de la tabla
    const tablaData = [];
    $('#tablaBody tr').each(function() {
      const rowData = {
        concepto: $(this).find('.concepto').val(),
        importe: $(this).find('.importe').val(),
        nroCheque: $(this).find('.nroCheque').val(),
        banco: $(this).find('.banco').val(),
        fechaVencimiento: $(this).find('.fechaVencimiento').val(),
        codigoDeposito: $(this).find('.codigoDeposito').val()
      };
      tablaData.push(rowData);
    });

    // Mostrar mensaje de carga
    $('#btnEnviarFormulario2').prop('disabled', true).text('Enviando...');

    // Enviar datos con AJAX en formato JSON
    $.ajax({
      url: 'funciones/postDataCobrar.php',
      type: 'POST',
      data: {
        form: JSON.stringify(formData),
        tabla: JSON.stringify(tablaData)
      },
      success: function(response) {
        var obj = jQuery.parseJSON(response);
        var retorno = obj.message;
        var ack = obj.ack;
        var nro_documento = obj.nro_documento;

        if (ack != 10) {
          enableButton();
          disableButtonContabilizar();
        }

        if (nro_documento > 0) {
          // Mostrar modal con opciones de impresión
          Swal.fire({
            title: 'Documento Generado',
            text: 'Selecciona el tipo de documento a imprimir',
            icon: 'success',
            showCancelButton: true,
            confirmButtonText: 'Imprimir Recibo',
            cancelButtonText: 'Imprimir Factura',
            cancelButtonColor: '#3085d6',
            confirmButtonColor: '#28a745'
          }).then((result) => {
            if (result.isConfirmed) {
              // Imprimir Recibo
              imprimirDocumento('reportes/generarRecibo.php', nro_documento);
            } else if (result.dismiss === Swal.DismissReason.cancel) {
              // Imprimir Factura
              imprimirDocumento('reportes/generarFactura.php', nro_documento);
            }
          });
        }

        console.log('Respuesta del servidor:', response);

        myNotify = new Notify({
          status: 'warning',
          title: 'Contabilizado',
          text: retorno,
          effect: 'slide',
          type: 'filled',
          position: 'right bottom'
        });
      },
      error: function(xhr, status, error) {
        console.error('Error en la solicitud:', error);
      }
    });
}

// Función auxiliar para imprimir documentos
function imprimirDocumento(url, nro_documento) {
  var form = document.createElement('form');
  form.method = 'POST';
  form.action = url;
  form.target = '_blank';

  var inputNroDocumento = document.createElement('input');
  inputNroDocumento.type = 'hidden';
  inputNroDocumento.name = 'nro_documento';
  inputNroDocumento.value = nro_documento;

  form.appendChild(inputNroDocumento);
  document.body.appendChild(form);
  form.submit();
}


  // Función para cobrar las deudas seleccionadas
  function nuevoCobro() {
    // Obtener el formulario por su ID y enviarlo
    const form = document.getElementById('formNuevoCobro');
    form.submit();
  }





  // Agrega el evento click al botón
  document.getElementById('btnContabilizar').addEventListener('click', function(event) {
    event.preventDefault(); // Evita que el enlace navegue a otra página
    enviarDatos(); // Llama a la función
  });


  document.getElementById('btnNuevoCobro').addEventListener('click', function(event) {
    event.preventDefault(); // Evitar la acción predeterminada del enlace
    // document.getElementById('formNuevoCobro').submit(); // Enviar el formulario

    nuevoCobro();
  });
</script>