<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Cobranza";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}
?>
<style>
  .card-body {
    display: flex;
    justify-content: center;
    /* Centrar horizontalmente */
    align-items: center;
    /* Centrar verticalmente */
    height: 100%;
    /* Asegúrate de que tenga una altura definida */
  }
</style>


<div class="content-wrapper">
  <section class="content">
    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Caja</h3>
      </div>

      <form action="menu_caja.php" method="post" enctype="multipart/form-data">
        <div class="card-body">
          <div class="col-md-3">
            <label for="nro_caja"> Número Caja</label>
            <select name="nro_caja" id="nro_caja" class="form-control" required>
              <option value="">Seleccione</option>
              <?php
              $sql_ne = "SELECT nro_caja 
                                from caja 
                                where estado = 1  
                                and id_empresa  = :id_empresa
                                and id_usuario  = :id_usuario ";
              $stmt = $conn->prepare($sql_ne);
              $stmt->execute(array(
                ':id_empresa' => $_SESSION['id_empresa'],
                ':id_usuario' => $_SESSION['id_usuario']
              ));
              $resultado_ne = $stmt->fetchAll();
              foreach ($resultado_ne as $row_ne) {
                echo "<option value=" . $row_ne['nro_caja'] . ">" . $row_ne['nro_caja'] . "</option>";
              }
              ?>
            </select>
          </div>
        </div>

        <div class="card-footer">
          <center>
            <button type="submit" class="btn btn-warning">Seleccionar Caja</button>
          </center>
        </div>
      </form>
    </div>
  </section>
</div>


<?php
include("plantilla_pie.php");
?>