<?php
//include("plantilla_cabecera.php");
require_once('../../joajurehegua.php');
require_once('funciones.php');
if (!validateCsrfToken()) {
  echo "<center>Error: Token CSRF inválido</center>";
  echo '<h2><center><a href="../login.php">Login...</a></center></h2>';
  exit();
}

if (!empty($_GET['id'])) {
  $id = $_GET['id'];
  $sql = "SELECT  * from creditos where id = :id ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id));
  $resultado = $stmt->fetch();
}
?>
<!-- Content Wrapper. Contains page content -->
<div class="row">
  <div class="container-fluid">

    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Aprobar/Rechazar Crédito</h3>
      </div>
        <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">
        <div class="card-body">
          <div class="form-group">
            <label for="id_credito">Nro Crédito</label>
            <input type="text" class="form-control form-control-sm" id="id_credito" name="id_credito" placeholder="" value="<?php echo $resultado['id']; ?>" readonly>
          </div>
          <div class="form-group">
            <label for="estado">Estado</label>
            <select type="number" name="estado" id="estado" class="form-control needValidate">
              <option value="">Seleccione</option>
              <?php
              $sql_pa = "SELECT  * from estado_credito where estado = 1 and id > 2 order by id ASC ";
              $stmt = $conn->prepare($sql_pa);
              $stmt->execute();
              $resultado_pa = $stmt->fetchAll();
              foreach ($resultado_pa as $row_pa) {
                echo "<option value=" . $row_pa['id'] . ">" . $row_pa['nombre'] . "</option>";
              }
              ?>
            </select>
          </div>
          <div class="form-group">
            <label for="actanro">Acta Número</label>
            <input type="number" class="form-control form-control-sm" id="actanro" name="actanro" placeholder="" value="" required>
          </div>
          <div class="form-group">
            <label for="observacion">Observación</label>
            <input type="text" class="form-control form-control-sm" id="observacion" name="observacion" placeholder="" value="">
          </div>
        </div>
        <!-- /.card-body -->
        <div class="card-footer">
          <button name="guardar" class="btn btn-primary" onclick="aprobarCredito()">Guardar</button>
        </div>
    </div>


  </div>
  <!-- /.content -->
</div>