<?php
header('Content-Type: application/json');

try {
    require_once('../../joajurehegua.php');

    $nivel = $_POST['nivel'] ?? ''; // Nivel del select solicitado
    //$id    = $_POST['id'] ?? null;     // ID del nivel superior
    $id = isset($_POST['id']) ? $_POST['id'] : '';
    // Inicializa variables
    $tabla = '';
    $columna = '';
    $where = '';

    // Determina la tabla y el campo en función del nivel
    switch ($nivel) {
        case 'departamento':
            $tabla = 'departamento';
            $columna = 'id_pais';
            $where = "WHERE $columna = :id";
            break;

        case 'distrito':
            $tabla = 'distrito';
            $columna = 'id_departamento';
            $where = "WHERE $columna = :id";
            break;

        case 'ciudad':
            $tabla = 'ciudad';
            $columna = 'id_distrito';
            $where = "WHERE $columna = :id";
            break;

        case 'barrio':
            $tabla = 'barrio';
            $columna = 'id_ciudad';
            $where = "WHERE $columna = :id";
            break;

        default:
            $tabla = 'pais';
            break;
    }

    // Construye la consulta
    $sql = "SELECT id, nombre FROM $tabla $where";
    $stmt = $conn->prepare($sql);

    if ($id != 'null') {
        $stmt->bindParam(':id', $id, PDO::PARAM_INT);
    }

    $stmt->execute();
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC);

    // Devuelve los resultados en JSON
    echo json_encode($resultado);
} catch (PDOException $e) {
    echo json_encode(['error' => $e->getMessage(). "ec". $sql."id". $id ]);
}
?>
