<?php
require_once('../../joajurehegua.php');


$id_cliente       =  htmlspecialchars($_POST['id_cliente']);

$cedula           =  htmlspecialchars($_POST['cedula']);
$primer_nombre    =  htmlspecialchars($_POST['primer_nombre']);
$segundo_nombre   =  htmlspecialchars($_POST['segundo_nombre']);
$primer_apellido  =  htmlspecialchars($_POST['primer_apellido']);
$segundo_apellido =  htmlspecialchars($_POST['segundo_apellido']);
$estado_civil     =  htmlspecialchars($_POST['id_estadocivil']);
$id_origen        =  htmlspecialchars($_POST['id_origen']);
$id_categoria     =  1;
$fecha_nacimiento =  htmlspecialchars($_POST['fecha_nacimiento']);
$id_genero        =  htmlspecialchars($_POST['id_genero']);
$email            =  htmlspecialchars($_POST['email']);
$telefono         =  htmlspecialchars($_POST['telefono']);
$celular          =  htmlspecialchars($_POST['celular']);
//$proponente       =  htmlspecialchars($_POST['proponente']);
$proponente       =  ($_POST['proponente'] != '') ? $_POST['proponente'] : null;
$id_admision      =  htmlspecialchars($_POST['id_admision']);

$apellido_casado  =  htmlspecialchars($_POST['apellido_casado']);

$direccion        =  htmlspecialchars($_POST['direccion']);
$nro_casa         =  htmlspecialchars($_POST['nro_casa']);
/*
$id_pais          =  htmlspecialchars($_POST['id_pais']);
$id_departamento  =  htmlspecialchars($_POST['id_departamento']);
$id_distrito      =  htmlspecialchars($_POST['id_distrito']);
$id_ciudad        =  htmlspecialchars($_POST['id_ciudad']);
$id_barrio        =  htmlspecialchars($_POST['id_barrio']);

*/
$id_profesion     =  htmlspecialchars($_POST['id_profesion']);
$pep              =  htmlspecialchars($_POST['pep']);

$latitud         =  htmlspecialchars($_POST['latitud']);
$longitud        = htmlspecialchars($_POST['longitud']);


$sql = "UPDATE clientes SET   cedula           = :cedula,
                              primer_nombre    = :primer_nombre,
                              segundo_nombre   = :segundo_nombre,
                              primer_apellido  = :primer_apellido,
                              segundo_apellido = :segundo_apellido,
                              id_genero        = :id_genero,
                              fecha_nacimiento = :fecha_nacimiento,
                              email            = :email,
                              telefono         = :telefono,
                              celular          = :celular,
                              direccion        = :direccion,
                              id_profesion     = :id_profesion,
                              proponente       = :proponente,
                              pep              = :pep,
                              latitud          = :latitud,
                              longitud         = :longitud
                
               WHERE          id_cliente       = :id_cliente";


try {

  $stmt = $conn->prepare($sql);
  $stmt->execute(array(
    ':cedula'             => $cedula,
    ':primer_nombre'      => $primer_nombre,
    ':segundo_nombre'     => $segundo_nombre,
    ':primer_apellido'    => $primer_apellido,
    ':segundo_apellido'   => $segundo_apellido,
    ':id_genero'          => $id_genero,
    ':fecha_nacimiento'   => $fecha_nacimiento,
    ':email'              => $email,
    ':telefono'           => $telefono,
    ':celular'            => $celular,
    ':direccion'          => $direccion,
    ':id_profesion'       => $id_profesion,
    ':proponente'         => $proponente,
    ':pep'                => $pep,
    ':latitud'            => $latitud,
    ':longitud'           => $longitud,
    ':id_cliente'         => $id_cliente
  ));

  echo json_encode(array(
    "message" => "Modificado Exitosamente",
    "ack"     => 0
  ));
} catch (PDOException $Exception) {
  error_log('Error insertando: ' . json_encode($Exception));

  echo json_encode(array(
    "message" => "Error al Modificar: " . $Exception,
    "ack"     => 1
  ));

  exit();
}

/**************************************************conjuge*********************************/
$cedula_c            =  htmlspecialchars($_POST['cedula_c']);
$primer_nombre_c     =  htmlspecialchars($_POST['primer_nombre_c']);
$segundo_nombre_c    =  htmlspecialchars($_POST['segundo_nombre_c']);
$primer_apellido_c   =  htmlspecialchars($_POST['primer_apellido_c']);
$segundo_apellido_c  =  htmlspecialchars($_POST['segundo_apellido_c']);
$fecha_nacimiento_c  =  htmlspecialchars($_POST['fecha_nacimiento_c']);

$lugar_trabajo_c     =  htmlspecialchars($_POST['lugar_trabajo_c']);
$direccion_trabajo_c =  htmlspecialchars($_POST['direccion_trabajo_c']);
$salario_c           =  htmlspecialchars($_POST['salario_c']);
$ocupacion_c         =  htmlspecialchars($_POST['ocupacion_c']);
$email_c             =  htmlspecialchars($_POST['email_c']);
$telefono_c          =  htmlspecialchars($_POST['telefono_c']);
$celular_c           =  htmlspecialchars($_POST['celular_c']);
$lugar_nacimiento_c  =  htmlspecialchars($_POST['lugar_nacimiento_c']);



$sql = "";
$sql = "UPDATE conjuge SET   cedula_c             = :cedula_c,
                             primer_nombre_c      = :primer_nombre_c,
                             segundo_nombre_c     = :segundo_nombre_c,
                             primer_apellido_c    = :primer_apellido_c,
                             segundo_apellido_c   = :segundo_apellido_c,
                             fecha_nacimiento_c   = :fecha_nacimiento_c,
                             lugar_trabajo_c      = :lugar_trabajo_c,
                             direccion_trabajo_c  = :direccion_trabajo_c,
                             salario_c            = :salario_c,
                             ocupacion_c          = :ocupacion_c,
                             email_c              = :email_c,
                             telefono_c           = :telefono_c,
                             celular_c            = :celular_c,
                             lugar_nacimiento_c   = :lugar_nacimiento_c
              
               WHERE         id_cliente           = :id_cliente ";


try {

  $stmt = $conn->prepare($sql);
  $stmt->execute(array(
    ':cedula_c'            => $cedula_c,
    ':primer_nombre_c'     => $primer_nombre_c,
    ':segundo_nombre_c'    => $segundo_nombre_c,
    ':primer_apellido_c'   => $primer_apellido_c,
    ':segundo_apellido_c'  => $segundo_apellido_c,
    ':fecha_nacimiento_c'  => $fecha_nacimiento_c,
    ':lugar_trabajo_c'     => $lugar_trabajo_c,
    ':direccion_trabajo_c' => $direccion_trabajo_c,
    ':salario_c'           => $salario_c,
    ':ocupacion_c'         => $ocupacion_c,
    ':email_c'             => $email_c,
    ':telefono_c'          => $telefono_c,
    ':celular_c'           => $celular_c,
    ':lugar_nacimiento_c'  => $lugar_nacimiento_c,
    ':id_cliente'          => $id_cliente
  ));

  // echo json_encode(array("message" => "Modificado Exitosamente Conjuge", "ack"     => 0));
} catch (PDOException $Exception) {
  //error_log('Error insertando: ' . json_encode($Exception));
  echo json_encode(array("message" => "Error al Modificar Conjuge: " . $Exception, "ack"     => 1));
}




/*******************trabajo*************************************************************************************************************/
if (isset($_POST['trabajo_lugar']) && is_array($_POST['trabajo_lugar'])) {
  // Recorre el array utilizando el índice

  $stmt = $conn->prepare("DELETE FROM trabajos WHERE id_cliente = ?");
  $stmt->execute([$id_cliente]);

  $sql = "INSERT INTO trabajos (id_cliente, nombre, direccion, telefono, correo, nrocasa, puesto, salario, antiguedad, fecha_ingreso) VALUES (?, ?, ?, ?, ?, ?, ?, ?,?,?)";
  $stmt = $conn->prepare($sql);

  for ($i = 0; $i < count($_POST['trabajo_lugar']); $i++) {
    $stmt->execute([
      $id_cliente,
      $_POST['trabajo_lugar'][$i],
      $_POST['trabajo_direccion'][$i],
      $_POST['trabajo_telefono'][$i],
      $_POST['trabajo_correo'][$i],
      $_POST['trabajo_nrocasa'][$i],
      $_POST['trabajo_puesto'][$i],
      $_POST['trabajo_salario'][$i],
      $_POST['trabajo_antiguedad'][$i],
      $_POST['trabajo_fecha_ingreso'][$i],
    ]);
  }
}

/*************************************datos familiartes**********/

if (isset($_POST['familia_tipo_relacion']) && is_array($_POST['familia_tipo_relacion'])) {
  // Recorre el array utilizando el índice

  $stmt = $conn->prepare("DELETE FROM familiares WHERE id_cliente = ?");
  $stmt->execute([$id_cliente]);

  $sql = "INSERT INTO familiares (id_cliente, id_tipo_relacion, nombres, apellidos, cedula,  fecha_nacimiento, id_nivel_estudio) VALUES (?, ?, ?, ?, ?, ?, ?)";
  $stmt = $conn->prepare($sql);

  for ($i = 0; $i < count($_POST['familia_tipo_relacion']); $i++) {
    $stmt->execute([
      $id_cliente,
      $_POST['familia_tipo_relacion'][$i],
      $_POST['familia_nombre'][$i],
      $_POST['familia_apellido'][$i],
      $_POST['familia_cedula'][$i],
      $_POST['familia_nacimiento'][$i],
      $_POST['familia_id_nivel_estudio'][$i],

    ]);
  }
}


/*************************************referencias**********/

if (isset($_POST['contacto_tipo_relacion']) && is_array($_POST['contacto_tipo_relacion'])) {
  // Recorre el array utilizando el índice

  $stmt = $conn->prepare("DELETE FROM referencias WHERE id_cliente = ?");
  $stmt->execute([$id_cliente]);

  $sql = "INSERT INTO referencias (id_cliente, id_tipo_referencia, nombres, apellidos, telefono) VALUES (?, ?, ?, ?, ?)";
  $stmt = $conn->prepare($sql);

  for ($i = 0; $i < count($_POST['contacto_tipo_relacion']); $i++) {
    $stmt->execute([
      $id_cliente,
      $_POST['contacto_tipo_relacion'][$i],
      $_POST['contacto_nombre'][$i],
      $_POST['contacto_apellido'][$i],
      $_POST['contacto_telefono'][$i],


    ]);
  }
}


//$expectedFiles = ['cedula', 'foto', 'ruc', 'fotoande', 'pasaporte', 'ruc'];

// Verifica si hay un archivo cargado


$fileKey = "";
if (isset($_POST['id_tipo_documento']) && isset($_FILES['document_files'])) {
  $id_tipo_documento_array = $_POST['id_tipo_documento']; // IDs seleccionados en los <select>
  $document_files_array = $_FILES['document_files'];      // Archivos cargados

  foreach ($id_tipo_documento_array as $index => $id_tipo_documento) {
      // Verificar si hay un archivo para este índice
      if ($document_files_array['error'][$index] === UPLOAD_ERR_OK) {
          $filename_a = $document_files_array['name'][$index];
          $tmp_name = $document_files_array['tmp_name'][$index];

      
    

     
        // Directorio donde se guardará la imagen
        // $uploadDir = __DIR__ . '/uploads/'; // Asegúrate de que este directorio exista y tenga permisos de escritura
        $uploadDir =  $_SERVER['DOCUMENT_ROOT'] . "/adminlte/archivos/";

       /*
        $destinationPath = "";
        $fileTmpPath = $_FILES[$fileKey]['tmp_name'][$i];
        $fileName2 = $_FILES[$fileKey]['name'][$i];
        
        $fileSize = $_FILES[$fileKey]['size'][$i];
        $fileType = $_FILES[$fileKey]['type'][$i];
*/
        $fileName = $id_cliente . "_" . $id_tipo_documento . "_" . basename($filename_a);
        // Construye la ruta completa donde se guardará el archivo
        $destinationPath = cleanMe($uploadDir . $fileName);


        // Mueve el archivo desde el directorio temporal al directorio de destino
        if (move_uploaded_file($tmp_name, $destinationPath)) {
          $sqlMultiple = $conn->prepare('INSERT INTO archivos (id_empresa, id_cliente, tipo, archivo, fecha, hora, id_usuario, id_tipo_documento ) VALUES (:id_empresa, :id_cliente,  :tipo, :archivo, :fecha, :hora, :id_usuario, :id_tipo_documento)');
          $bindMultiple =  array(
            ':id_empresa'        => $_SESSION['id_empresa'],
            ':id_cliente'        => $id_cliente,
            ':tipo'              => "MODSOCIO",
            ':archivo'           => $destinationPath,
            ':fecha'             => date("Y-m-d"),
            ':hora'               => date("H:i:s"),
            ':id_usuario'         => $_SESSION['id_usuario'],
            ':id_tipo_documento'  => $id_tipo_documento

          );

          try {

            $sqlMultiple->execute($bindMultiple);
            //  echo json_encode(array("message" => "Se gaurdo el archivo"));
          } catch (PDOException $Exception) {
            error_log('Error insertando: ' . json_encode($Exception));
            //  echo json_encode(array("message" => "Hubo un error al guardar el archivo en la BD"));
          }
        } else {
          //echo "Hubo un error al guardar el archivo.";

          // echo json_encode(array("message" => "Hubo un error al guardar el archivo."));
        }
    
      }
    }
  
} else {

  // echo json_encode(array("message" => "No hay  archivo. 1"));
}








function cleanMe($string)
{
  $string = trim($string);
  $string = str_replace(
    array("\\", "¨", "º", "#", "|", "!", "\"", "·", "%", "&", "'", "¡", "¿", "[", "^", "`", "]", "+", "}", "{", "¨", "´", ">", "<", ","),
    '',
    $string
  );
  return $string;
}
