<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Nuevo Gasto Incial";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">

    <!-- Default box -->
    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
            <i class="fas fa-minus"></i>
          </button>
          <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
            <i class="fas fa-times"></i>
          </button>
        </div>
      </div>



      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">Nuevo</h3>
        </div>
        <!-- /.card-header -->
        <!-- form start -->
        <form>
          <div class="card-body">

            <div class="row">

            <div class="col-md-3">
                  <div class="form-group">
                <label for="clase">Clase de Documento</label>
                <select type="text" name="clase" id="clase" class="form-control form-control-sm needValidate" onchange="mostrarTexto()" required>
                  <option value="">Seleccione</option>
                  <?php
                  $sql_emp = "SELECT  * from clase_documento where estado = 1   order by id ASC ";
                  $stmt = $conn->prepare($sql_emp);
                  $stmt->execute();
                  $resultado_emp = $stmt->fetchAll();
                  foreach ($resultado_emp as $row_emp) {
                    echo "<option value=".$row_emp['codigo'].">" .$row_emp['nombre'] . "</option>";
                  }
                  ?>
                </select>
              </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="nombre">Nombre</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="nombre" name="nombre" placeholder="" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="importe">Importe</label>
                  <input type="number" class="form-control form-control-sm needValidate" id="importe" name="importe" placeholder="" required>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="vencimiento">Vencimiento</label>
                  <input type="date" class="form-control form-control-sm needValidate" id="vencimiento" name="vencimiento" placeholder="" required>
                </div>
              </div>

              </div>


              <div class="row">

              <div class="form-group">
                <label for="mensual">Forma Cobro</label>
                <select type="text" name="mensual" id="mensual" class="form-control form-control-sm needValidate"  required>
                  <option value="">Seleccione</option>
                  <option value="1">Mensual</option>
                  <option value="0">Unica Vez</option>
                </select>

              </div>

      



            </div>





          </div>
          <!-- /.card-body -->

          <div class="card-footer">
            <!--
                  <button type="submit" class="btn btn-primary">Guardar</button>
                   -->
            <button type="button" class="btn btn-primary" onclick="guardar()" data-dismiss="modal">Agregar</button>
          </div>
        </form>
      </div>






      <div id="responseMessage"></div>
      <!-- /.card-body -->
      <div class="card-footer">
        
      </div>
      <!-- /.card-footer-->
    </div>
    <!-- /.card -->

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>




<script>
  // Función para validar que los campos no estén vacíos
  function validarCampos() {
    // Variable para verificar si todos los campos son válidos
    let valid = true;

    // Selecciona todos los campos que necesitan validación (con clase 'needValidate')
    const campos = document.querySelectorAll('.needValidate');

    // Recorre cada campo y añade un listener para quitar el error al enfocarlo
    campos.forEach(function(input) {
        input.addEventListener('focus', function() {
            if (this.classList.contains('is-invalid')) {
                this.classList.remove('is-invalid'); // Quitar clase de error al hacer focus
            }
        });
    });

    // Recorre cada campo y verifica si está vacío
    campos.forEach(function(campo) {
        if (campo.value.trim() === "") {
            campo.classList.add('is-invalid'); // Añadir clase para marcar en rojo
            valid = false; // Marcar que hay un error
        } else {
            campo.classList.remove('is-invalid'); // Quitar clase si no está vacío
        }
    });

    // Si hay campos vacíos, mostrar una notificación
    if (!valid) {
        new Notify({
            status: 'warning',
            title: 'Completar todos los datos',
            text: 'Debe ingresar todos los campos obligatorios',
            effect: 'slide',
            type: 'filled',
            position: 'right bottom'
        });
        return false; // Detener la ejecución si hay campos vacíos
    }

    // Si no hay errores, retorna true
    return true;
  }

  
  // Función para guardar los datos (solo se ejecutará si validarCampos() devuelve true)
  function guardar() {
    // Validar campos antes de proceder
    if (!validarCampos()) {
      return; // Si la validación falla, detener la ejecución
    }

    // Si la validación pasa, procede a enviar los datos por AJAX
    const clase = $('#clase').val();
    const nombre = $('#nombre').val();
    const importe = $('#importe').val();
    const vencimiento = $('#vencimiento').val();
    const mensual = $('#mensual').val();

    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'funciones/postData.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: JSON.stringify({
        tipo: 'gasto_inicial',
        clase: clase,
        nombre: nombre,
        importe: importe,
        vencimiento: vencimiento,
        mensual: mensual
      }),
      contentType: 'application/json',
      success: function(response) {
        var obj = jQuery.parseJSON(response);
        var retorno = obj.message;

        new Notify({
          status: 'warning',
          title: 'Retorno',
          text: retorno,
          effect: 'slide',
          type: 'filled',
          position: 'right bottom'
        });

        // Redirige a la  página


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al guardar los datos</p>');
        console.error('Error al guardar los datos:', error);
      }
    });
  }

  // Función para mostrar el texto seleccionado en el input 'nombre'
  function mostrarTexto() {
    var select = document.getElementById("clase");
    var textoSeleccionado = select.options[select.selectedIndex].text;
    document.getElementById("nombre").value = textoSeleccionado;
  }
</script>



