<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Nuevo Rol";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">

    <!-- Default box -->
    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
            <i class="fas fa-minus"></i>
          </button>
          <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
            <i class="fas fa-times"></i>
          </button>
        </div>
      </div>



      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">Nuevo</h3>
        </div>
        <!-- /.card-header -->
        <!-- form start -->
        <form>
          <div class="card-body">

            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <label for="nombre">Nombre</label>
                  <input type="text" class="form-control form-control-sm" id="nombre" name="nombre" placeholder="">
                </div>
              </div>

              <div class="form-group">
                <label for="id_empresa">Empresa</label>
                <select type="text" name="id_empresa" id="id_empresa" class="form-control form-control-sm">
                  <option value="">Seleccione</option>
                  <?php
                  $sql_emp = "SELECT  * from empresas   order by id ASC ";
                  $stmt = $conn->prepare($sql_emp);
                  $stmt->execute();
                  $resultado_emp = $stmt->fetchAll();
                  foreach ($resultado_emp as $row_emp) {
                    echo "<option value=".$row_emp['id'].">" . $row_emp['id']."-".$row_emp['nombre_empresa'] . "</option>";
                  }
                  ?>

                </select>

              </div>




            </div>





          </div>
          <!-- /.card-body -->

          <div class="card-footer">
            <!--
                  <button type="submit" class="btn btn-primary">Guardar</button>
                   -->
            <button type="button" class="btn btn-primary" onclick="guardar()" data-dismiss="modal">Agregar</button>
          </div>
        </form>
      </div>






      <div id="responseMessage"></div>
      <!-- /.card-body -->
      <div class="card-footer">
        
      </div>
      <!-- /.card-footer-->
    </div>
    <!-- /.card -->

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>


<script>
  function guardar() {

    const nombre     = $('#nombre').val();
    const id_empresa = $('#id_empresa').val();
    




    console.log(id_empresa);

    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'funciones/postData.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: JSON.stringify({
        tipo: 'nuevo_rol',
        nombre: nombre,
        id_empresa: id_empresa
      }),
      // data: {tipo: "empleado", id: doc}
      contentType: 'application/json',
      success: function(response) {
        var obj = jQuery.parseJSON(response);
        var retorno = obj.message;
      

        myNotify = new Notify({
          status: 'warning',
          title: 'Retorno',
          text: retorno,
          effect: 'slide',
          type: 'filled',
          position: 'right bottom'
        })


      //  $('#responseMessage').html('<p>Datos guardado</p>');
      //  console.log('Datos guardados con éxito:', response);


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al guardar los datos</p>');
        console.error('Error al guardar los datos:', error);
      }
    });





  }
</script>