<?php
include_once('../joajurehegua.php');
include_once('funciones/funciones.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Procesar Crédito";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}

if (!empty($_POST['id'])) {
  $id = $_POST['id'];
  $sql = "SELECT z.*, a.*, b.nombre as estado_civil, c.nombre as genero, d.nombre as pais, e.nombre as departamento, f.nombre as distrito, g.nombre as ciudad, h.nombre as barrio,
i.nombre as profesion, j.nombre as nacionalidad, k.nombre as origen, l.nombre as categoria, m.nombre as admision, n.nombres, n.apellidos,
o.nombre as tipo_credito, p.nombre as destino, q.nombre as garantia
FROM creditos as z 
inner join clientes as a on z.id_cliente = a.id_cliente
left join estado_civil as b on a.id_estadocivil = b.id
left join tipo_genero as c on a.id_genero = c.id
left join pais as d on a.id_pais = d.id
left join departamento as e on a.id_departamento = e.id
left join distrito as f on a.id_distrito = f.id
left join ciudad as g on a.id_ciudad = g.id
left join barrio as h on a.id_genero = h.id
left join tipo_profesion as i on a.id_profesion = i.id
left join nacionalidad as j on a.id_nacionalidad = i.id
left join tipo_origen as k on a.id_origen = k.id
left join tipo_categoria as l on a.id_categoria = l.id
left join tipo_admision as m on a.id_admision = m.id
left join usuarios as n on a.usuario_estado = n.id

left join tipo_credito as o on z.id_tipo_credito = o.id
left JOIN tipo_destino as p on z.id_destino = p.id 
left JOIN tipo_garantia as q on z.id_garantia = q.id 

                      
where z.id = :id
 ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id));
  $resultado = $stmt->fetch();
  $aportes= verAporteTotalSocio($resultado['id_cliente']);
  $ingresos= verIngresos($id);
  $egresos= verEgresos($id);
  $indiceAporte= aporteRelacion($resultado['id_categoria']);
  $aporteRelacionCredio=($aportes*$indiceAporte['relacion']);
  $faltanteAporte = max(0, $aporteRelacionCredio - $aportes);
  $verComentarios= verComentarios($id);
  $restante = $ingresos - $egresos;
  if ($ingresos > 0) {
      $porcentajeDisponibilidad = ($restante / $ingresos) * 100;
    } else {
        $porcentajeDisponibilidad = 0; // Si no hay ingresos, el porcentaje es 0
    }
      if (($restante / 2) > $resultado['monto_cuota']) {
    $resultadoMonto = '<p class="bg-success p-3">Con liquidez</p>';
  } else {
      $resultadoMonto = '<p class="bg-danger p-3">Sin liquidez</p>';
  }

  $referencias=mostrarReferenciasCredito($resultado['id_cliente'],$id);
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">

    <!-- Default box -->
    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
            <i class="fas fa-minus"></i>
          </button>
          <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
            <i class="fas fa-times"></i>
          </button>
        </div>
      </div>


      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-3">
              <div class="card">
                <div class="card-header  bg-success">
                  <h3 class="card-title">Datos del Socio</h3>

                  <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                      <i class="fas fa-minus"></i>
                    </button>
                  </div>
                </div>
                <div class="card-body p-0">
                  <ul class="nav nav-pills flex-column">

                    <li class="nav-item active">
                      Nombre y Apellido:
                      <span class="badge bg-warning float"><?php echo $resultado['primer_nombre'] . " " . $resultado['primer_apellido']; ?></span>
                    </li>

                    <li class="nav-item">
                      Número de Cédula:
                      <span class="badge bg-warning float"><?php echo $resultado['cedula']; ?></span>
                    </li>
                    <li class="nav-item">
                      Número de Socio:
                      <span class="badge bg-warning float"><?php echo $resultado['nro_socio']; ?></span>
                    </li>
                    <li class="nav-item">
                      Fecha de Nacimiento:
                      <span class="badge bg-warning float"><?php echo date("d/m/Y", strtotime($row['fecha_nacimiento'])); ?> </span>
                    </li>
                    <li class="nav-item">
                      Categoria:
                      <span class="badge bg-warning float"><?php echo $resultado['categoria']; ?> </span>
                    </li>

                    <li class="nav-item">
                      Teléfono:
                      <span class="badge bg-warning float"><?php echo $resultado['telefono']; ?> </span>
                    </li>


                    <li class="nav-item">
                      Celular:
                      <span class="badge bg-warning float"><?php echo $resultado['celular']; ?> </span>
                    </li>


                    <li class="nav-item">
                      Correo:
                      <span class="badge bg-warning float"><?php echo $resultado['email']; ?> </span>
                    </li>



                    <li class="nav-item">
                      Profesión:
                      <span class="badge bg-warning float"><?php echo $resultado['profesion']; ?> </span>
                    </li>

                    <li class="nav-item">
                      Estado Civil:
                      <span class="badge bg-warning float"><?php echo $resultado['estado_civil']; ?> </span>
                    </li>



                    <li class="nav-item">
                      Pais:
                      <span class="badge bg-warning float"><?php echo $resultado['pais']; ?> </span>
                    </li>



                    <li class="nav-item">
                      Departamento:
                      <span class="badge bg-warning float"><?php echo $resultado['departamento']; ?> </span>
                    </li>

                    <li class="nav-item">
                      Distrito:
                      <span class="badge bg-warning float"><?php echo $resultado['distrito']; ?> </span>
                    </li>

                    <li class="nav-item">
                      Ciudad:
                      <span class="badge bg-warning float"><?php echo $resultado['ciudad']; ?> </span>
                    </li>

                    <li class="nav-item">
                      Barrio:
                      <span class="badge bg-warning float"><?php echo $resultado['barrio']; ?> </span>
                    </li>

                    <li class="nav-item">
                      Direccion:
                      <span class="badge bg-warning float"><?php echo $resultado['direccion']; ?> </span>
                    </li>


                  </ul>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
              <div class="card">
                <div class="card-header  bg-success">
                  <h3 class="card-title">Datos del Crédito</h3>

                  <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                      <i class="fas fa-minus"></i>
                    </button>
                  </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body p-0">
                  <ul class="nav nav-pills flex-column">
                    <li class="nav-item">
                      Tipo Crédito:
                      <span class="badge bg-warning float"><?php echo $resultado['profesion']; ?> </span>
                    </li>
                    <li class="nav-item">
                      Destino:
                      <span class="badge bg-warning float"><?php echo $resultado['destino']; ?> </span>
                    </li>
                    <li class="nav-item">
                      Garantía:
                      <span class="badge bg-warning float"><?php echo $resultado['garantia']; ?> </span>
                    </li>
                  </ul>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
              <div class="card">
                <div class="card-header  bg-success">
                  <h3 class="card-title">Referencias</h3>

                  <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                      <i class="fas fa-minus"></i>
                    </button>
                  </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body p-0">
                  <ul class="nav nav-pills flex-column">
                  <?php foreach ($referencias as $referencia) {
                              echo '<li class="nav-item p-2">';
                              echo 'Nombre: <span class="badge bg-warning float">' . htmlspecialchars($referencia['nombres']) . '</span><br>';
                              echo 'Tipo: <span class="badge bg-warning float">' . htmlspecialchars($referencia['nombre']) . '</span><br>';
                              echo 'Contacto:<span class="badge bg-warning float">' . htmlspecialchars($referencia['telefono']) . '</span><br>';
                              echo '</li>';
                          } ?>
                  </ul>
                  <div class="p-3">
                    <hr>
                    <label for="input-comentario-global" class="form-label">Agregar Comentario</label>
                    <input type="text" id="input-comentario-global" class="form-control" placeholder="Escribe un comentario...">
                    <button class="btn btn-primary btn-sm mt-2" onclick="agregarComentarioGlobal()">Agregar</button>
                  </div>

                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
            </div>
            <!-- /.col -->






            <div class="col-md-9">
              <div class="card card-primary card-outline">
                <div class="card-header bg-primary">
                  <h3 class="card-title">Análisi de Crédito</h3>
                </div>
                <!-- /.card-header -->
               

                  <div class="container my-5">
                    <!-- Sección de Estado de Cuenta -->
                    <div class="card mb-4">
                      <div class="card-header text-center font-weight-bold">
                        Estado de Cuenta Relación Aporte y Relación Crédito
                      </div>
                      <div class="card-body">
                        <div class="row">
                          <div class="col-md-6">
                            <label for="aporteAcumulado">Aporte Acumulado</label>
                            <input type="text" class="form-control" id="aporteAcumulado" value="<?php echo number_format($aportes, 0, '', '.');?>">
                            <input type="hidden" class="form-control" id="creditoID" value="<?php echo $id;?>">
                          </div>
                          <div class="col-md-6">
                            <label for="lineaCredito">Línea de Crédito</label>
                            <input type="text" class="form-control" id="lineaCredito" value="0">
                          </div>
                        </div>
                        <div class="row mt-2">
                          <div class="col-md-6">
                            <label for="montoSolicitado">Monto Solicitado</label>
                            <input type="text" class="form-control" id="montoSolicitado" value="<?php echo number_format($resultado['monto_solicitado'], 0, '', '.'); ?>">
                          </div>
                          <div class="col-md-6">
                            <label for="montoTotal">Monto Total</label>
                            <input type="text" class="form-control" id="montoTotal" value="<?php echo number_format($resultado['monto_total'], 0, '', '.'); ?>">
                          </div>
                        </div>
                        <div class="row mt-2">
                          <div class="col-md-6">
                            <label for="aporteRelacionCredito">Aporte Relación Crédito</label>
                            <input type="text" class="form-control" id="aporteRelacionCredito" value="<?php echo number_format($aporteRelacionCredio, 0, '', '.'); ?>">  
                          </div>
                          <div class="col-md-6">
                            <label for="faltanteAporte">Faltante de Aporte</label>
                            <input type="text" class="form-control" id="faltanteAporte" accept=""value="<?php echo number_format($faltanteAporte, 0, '', '.'); ?>">
                          </div>
                        </div>
                      </div>
                    </div>

                    <!-- Sección de Cálculo Porcentual de Disponibilidad -->
                 <!-- Sección de Cálculo Porcentual de Disponibilidad -->
<div class="container">
  <div class="row">
    <!-- Columna Izquierda -->
    <div class="col-md-6">
      <div class="card mb-4">
        <div class="card-header text-center font-weight-bold">
          Cálculo Porcentual de Disponibilidad – Crédito Extraordinario
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-md-6">
              <label for="sueldoLiquido">Sueldo Líquido</label>
              <input type="text" class="form-control" id="sueldoLiquido" value="<?php echo number_format($ingresos, 0, '', '.'); ?>">
            </div>
            <div class="col-md-6">
              <label for="otrosDescuentos">Otros Descuentos</label>
              <input type="text" class="form-control" id="otrosDescuentos" value="<?php echo number_format($egresos, 0, '', '.'); ?>">
            </div>
          </div>
          <div class="row mt-4">
            <div class="col-md-12">
              <label for="totalIngresos">Total de Ingresos</label>
              <input type="text" class="form-control" id="totalIngresos" value="<?php echo number_format($restante, 0, '', '.'); ?>" >
            </div>
          </div>
          <div class="row mt-4">
            <div class="col-md-4">
              <label for="montoSolicitadoCalculo">Monto Solicitado</label>
              <input type="text" class="form-control" id="montoSolicitadoCalculo" value="<?php echo number_format($resultado['monto_total'], 0, '', '.'); ?> " disabled>
            </div>
            <div class="col-md-4">
              <label for="plazo">Plazo</label>
              <input type="text" class="form-control" id="plazo" value="<?php echo $resultado['plazo']; ?> " disabled>
            </div>
            <div class="col-md-4">
              <label for="montoCuota">Monto de la Cuota</label>
              <input type="text" class="form-control" id="montoCuota" value="<?php echo number_format($resultado['monto_cuota'], 0, '', '.'); ?> " disabled>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Columna Derecha -->
    <div class="col-md-6 d-flex align-items-center justify-content-center flex-column card">
      <div class="text-center">
        <h4><b>50 % Disponible</b></h4>
        <h3><?php echo number_format(($restante / 2), 0, '', '.'); ?></h3>
      </div>
      <div class="text-center mt-4">
        <h4><b>Resultado:</b></h4>
        <h3><?php echo $resultadoMonto; ?></h3>
      </div>
    </div>
  </div>
</div>


                    <!-- Sección de Análisis -->
                    <div class="card mb-4">
                      <div class="card-header text-center font-weight-bold">
                        Análisis
                      </div>
                      <div class="card-body">
                        <div class="form-group">
                          <label for="analisisTexto">Texto de Análisis</label>
                            <textarea id="compose-textarea" class="form-control" style="height: 300px" name="analisisTexto"> </textarea>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                    <!-- Sección de Análisis -->
                    <div class="card mb-4">
                      <div class="card-header text-center font-weight-bold">
                        Comentarios Referencias
                      </div>
                      <div class="card-body">
                          <?php if (!empty($verComentarios)): ?>
                              <ul id="comentarios">
                                  <?php foreach ($verComentarios as $comentario): ?>
                                      <li><?php echo htmlspecialchars($comentario['analisis_comentarios_texto']); ?></li>
                                  <?php endforeach; ?>
                              </ul>
                          <?php else: ?>
                              <ul id="comentarios">
                                 
                              </ul>
                          <?php endif; ?>
                      </div>
                    </div>
                  </div>
                </div>
                
                <!-- /.card-body -->
                <div class="card-footer">
                  <div class="float-right">
                    <div class="row">
                      <div class="col-md-12">
                        <button type="button" class="btn btn-warning"  onclick="guardarAnalisis()">Enviar</button>
                      </div
                   </div>
                </div>
                <!-- /.card-footer -->
              </div>
              <!-- /.card -->
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
        </div><!-- /.container-fluid -->
      </section>
      <!-- /.content -->

      <div class="card-footer">

      </div>
      <!-- /.card-footer-->
    </div>
    <!-- /.card -->

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>


<script>
  // Función para validar que los campos no estén vacíos
  function validarCampos() {
    // Variable para verificar si todos los campos son válidos
    let valid = true;

    // Selecciona todos los campos que necesitan validación (con clase 'needValidate')
    const campos = document.querySelectorAll('.needValidate');

    // Recorre cada campo y añade un listener para quitar el error al enfocarlo
    campos.forEach(function(input) {
      input.addEventListener('focus', function() {
        if (this.classList.contains('is-invalid')) {
          this.classList.remove('is-invalid'); // Quitar clase de error al hacer focus
        }
      });
    });

    // Recorre cada campo y verifica si está vacío
    campos.forEach(function(campo) {
      if (campo.value.trim() === "") {
        campo.classList.add('is-invalid'); // Añadir clase para marcar en rojo
        valid = false; // Marcar que hay un error
      } else {
        campo.classList.remove('is-invalid'); // Quitar clase si no está vacío
      }
    });

    // Si hay campos vacíos, mostrar una notificación
    if (!valid) {
      new Notify({
        status: 'warning',
        title: 'Completar todos los datos',
        text: 'Debe ingresar todos los campos obligatorios',
        effect: 'slide',
        type: 'filled',
        position: 'right bottom'
      });
      return false; // Detener la ejecución si hay campos vacíos
    }

    // Si no hay errores, retorna true
    return true;
  }


  function guardar() {


    if (!validarCampos()) {
      return; // Si la validación falla, detener la ejecución
    }


    const nombre = $('#nombre').val();
    const codigo = $('#codigo').val();





    console.log(codigo);

    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'funciones/postData.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: JSON.stringify({
        tipo: 'pais',
        nombre: nombre,
        codigo: codigo
      }),
      // data: {tipo: "empleado", id: doc}
      contentType: 'application/json',
      success: function(response) {
        var obj = jQuery.parseJSON(response);
        var retorno = obj.message;


        myNotify = new Notify({
          status: 'warning',
          title: 'Retorno',
          text: retorno,
          effect: 'slide',
          type: 'filled',
          position: 'right bottom'
        })
        // Redirige a la  página
        //window.location.href = "reporte_pais.php"; 

        //  $('#responseMessage').html('<p>Datos guardado</p>');
        //  console.log('Datos guardados con éxito:', response);


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al guardar los datos</p>');
        console.error('Error al guardar los datos:', error);
      }
    });
  }



  $(function() {
    //Add text editor
    $('#compose-textarea').summernote()
  })

  function guardarAnalisis() {
    Swal.fire({
  title: "Guardar el analisis?",
  text: "Una vez guardado el analisis pasa para aprobacion",
  icon: "warning",
  showCancelButton: true,
  confirmButtonColor: "#3085d6",
  cancelButtonColor: "#d33",
  confirmButtonText: "Si, guardar!"
}).then((result) => {
  if (result.isConfirmed) {
    // Obtener el contenido del editor de texto
    let content = $('#compose-textarea').summernote('code');

    // Crear un objeto para almacenar los valores
    let valoresInputs = {};

    // Recorrer todos los inputs dentro del contenedor, puedes agregar un selector más específico si es necesario
    $('input, select, textarea').each(function() {
      // Obtener el ID y el valor del input
      let id = $(this).attr('id');
      let valor = $(this).val();

      // Guardar en el objeto
      if (id && valor !== undefined) {  // Asegurarse de que el ID y valor no estén vacíos
        valoresInputs[id] = valor;
      }
    });

    // Agregar el contenido del editor de texto al objeto
    valoresInputs['editorContent'] = content;

    // Agregar cualquier otro dato adicional
    valoresInputs['comentario'] = $('#input-comentario-global').val();  // Si tienes un input global de comentarios

    // Enviar los datos al servidor mediante AJAX
    $.ajax({
      url: 'funciones/updateAnalisis.php',
      type: 'POST',
      data: valoresInputs,
      success: function(response) {
        // Puedes mostrar una alerta o actualizar la interfaz
        Swal.fire({
          position: "center",
          icon: "success",
          title: "Análisis guardado con éxito.",
          showConfirmButton: false,
          timer: 1500
        }).then(function() {
        // Redirigir a reporte_creditos_solicitud.php después de la alerta
        window.location.href = "reporte_creditos_solicitud.php";
      });
        
      },
      error: function() {
        // Mostrar un mensaje de error en caso de fallo
        alert('Error al cargar el contenido.');
      }
    });
  }
});
  
}


function agregarComentarioGlobal() {
  comentario=$('#input-comentario-global').val();
  id=$('#creditoID').val();
  
  // Obtener el contenido del editor de texto
  $.ajax({
        url: 'funciones/guardarComentariosReferencias.php',
        type: 'POST',
        data: {
            credito: id, // Enviar el número de página
            comentario: comentario, // Enviar el número de página
        },
        success: function(response) {
            Swal.fire({
              position: "center",
              icon: "success",
              title: "Comentario guardado con éxito.",
              showConfirmButton: false,
              timer: 1500
            });
              $('#input-comentario-global').val('');
              $('#comentarios').append('<li>' + comentario + '</li>');
   
        },
        error: function() {
            alert('Error al cargar el contenido.');
        }
    });
}

  
</script>