<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Reporte Archivos";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}

if (!validateCsrfToken()) {
  echo "<center>Error: Token CSRF inválido</center>";
  echo '<h2><center><a href="../login.html">Login...</a></center></h2>';
  exit();
}
?>




<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">


    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Reporte Arhivos</h3>



      </div>
      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>ID</th>

              <th>Origen</th>
              <th>Archivos</th>
              
              <th>Fecha</th>
              <th>Hora</th>


              


            </tr>
          </thead>
          <tbody>
            <?php

                    $id_cliente  = $_GET['id'];
            $sql = "SELECT  a.*
                    FROM archivos as a
                    where a.id_cliente = :id_cliente
                    
                    ";
            $stmt = $conn->prepare($sql);
            $stmt->execute(array(':id_cliente' => $id_cliente ));
           // $stmt->execute(array());
            // $resultadoF = $stmt->fetch();


            //  $stmt->execute();
            $resultado = $stmt->fetchAll();


            foreach ($resultado as $row) {


            ?>


              <tr>

                <td>
                  <?php echo $row['id']; ?>
                </td>

                <td>
                  <?php echo $row['tipo']; ?>
                </td>

               
                <td>
                      <a href="descargar.php?id_archivo=<?php echo  $row['archivo'];?>"><?php echo basename($row['archivo']);?></a>
                      </td>

                <td>
                  <?php echo $row['fecha']; ?>
                </td>
                <td>
                  <?php echo $row['hora']; ?>
                </td>







              






              </tr>

            <?php
            }
            ?>

          </tbody>
          <tfoot>
            <tr>
            <th>ID</th>

<th>Origen</th>
<th>Archivos</th>

<th>Fecha</th>
<th>Hora</th>





            </tr>
          </tfoot>
        </table>
      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],

      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });





  var id = "";

  function editar(id) {
    var url = "modificar_rol.php?id=" + id;
    $.get(url, function(data) {
      $(".modal-body").html(data);
    });
  }
</script>

<div class="modal fade" id="exampleModalLong3" tabindex="5" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Modificar</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="mdialTamanio">
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
          <!-- <button type="button" class="btn btn-primary">Save changes</button>-->
        </div>
      </div>
    </div>
  </div>
</div>