<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Reporte Asientos Contables";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}
?>




<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">


    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Reporte Asientos Contables </h3>
      </div>


      <div class="card-header">

        <form method="POST" action="<?php echo basename(__FILE__); ?>" class="form-inline">
          <div class="form-group">
            <label for="nro_documento">Nro Documento</label>
            <input type="text" name="nro_documento" id="nro_documento" class="form-control mx-sm-2" value="">
          </div>

          <div class="form-group">
            <label for="fecha">Fecha:</label>
            <input type="text" name="fecha" id="fecha" class="form-control mx-sm-2" value="">
          </div>

          <button type="submit" name="buscar" class="btn btn-primary">Filtrar</button>
        </form>

      </div>

      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>Documento</th>
              <th>Clase de Documento</th>
              <th>Descripción</th>
              <th>Fecha</th>
              <th>Acción</th>




            </tr>
          </thead>
          <tbody>
            <?php
            if (isset($_POST['buscar'])) {
              // Obtener los filtros del formulario
              $nro_documento = isset($_POST['nro_documento']) ? $_POST['nro_documento'] : '';
              $fecha     = isset($_POST['fecha']) ? $_POST['fecha'] : '';

              $sql = "SELECT a.*, nombre 
                      FROM cabecera_contable AS a
                      inner join clase_documento as b
                      on a.clase_documento = b.codigo
                     
                      WHERE 1=1";

              // Agregar condiciones a la consulta SQL según los filtros
              if (!empty($nro_documento)) {
                $sql .= " AND a.nro_documento = :nro_documento";
              }



              if (!empty($fecha)) {
                $sql .= " AND (b.cedula = :fecha)";
              }

              $stmt = $conn->prepare($sql);

              // Asignar parámetros a la consulta
              if (!empty($nro_documento)) {
                $stmt->bindValue(':nro_documento', $nro_documento, PDO::PARAM_INT);
              }



              if (!empty($fecha)) {
                $stmt->bindValue(':fecha', $fecha, PDO::PARAM_INT);
              }

              $stmt->execute();
              $resultado = $stmt->fetchAll();
              /*
            $sql = "SELECT  a.*,  c.nombres, c.apellidos, b.primer_nombre, b.primer_apellido
                    FROM cuenta_corriente as a
                    inner join clientes as b
                    on a.id_cliente = b.id
                    inner join usuarios as c
                    on a.id_usuario = c.id
                    ";
            $stmt = $conn->prepare($sql);
            //$stmt->execute(array(':id' => $idqtic ));
            $stmt->execute(array());
            // $resultadoF = $stmt->fetch();


            //  $stmt->execute();
            $resultado = $stmt->fetchAll();
*/

              foreach ($resultado as $row) {


            ?>


                <tr>

                  <td>
                    <?php echo $row['nro_documento']; ?>
                  </td>

                  <td>
                    <?php echo $row['clase_documento']; ?>
                  </td>

                  <td>
                    <?php echo $row['nombre']; ?>
                  </td>


                  <td>
                    <?php echo date("d/m/Y", strtotime($row['fecha'])); ?>
                  </td>

                  <td>
                    <a href="reporte_contable_detalles.php?nro_documento=<?php echo  $row['nro_documento']; ?>&csrf_token=<?php echo $_SESSION['csrf_token']; ?>" target="_blank">Detalles</a>
                  </td>






                </tr>

            <?php
              }
            }
            ?>

          </tbody>


          <tfoot>
            <tr>
              <th>Documento</th>
              <th>Clase de Documento</th>
              <th>Descripción</th>
              <th>Fecha</th>
              <th>Acción</th>

            </tr>
          </tfoot>
        </table>




      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],

      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>