<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Reporte Cuenta Corriente";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}
?>




<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">


    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Reporte Cuenta Corriente </h3>
      </div>


      <div class="card-header">

        <form method="POST" action="<?php echo basename(__FILE__); ?>" class="form-inline">
          <div class="form-group">
            <label for="id_cliente">Nro Socio:</label>
            <input type="text" name="id_cliente" id="id_cliente" class="form-control mx-sm-2" value="">
          </div>

          <div class="form-group">
            <label for="cedula_cliente">Nro Cedula:</label>
            <input type="text" name="cedula_cliente" id="cedula_cliente" class="form-control mx-sm-2" value="">
          </div>
          <div class="form-group">
            <label for="nombre">Nombre Cliente:</label>
            <input type="text" name="nombre" id="nombre" class="form-control mx-sm-2" value="">
          </div>
          <button type="submit" name="buscar" class="btn btn-primary">Filtrar</button>
        </form>

      </div>

      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>Documento</th>
              <th>Clase de Documento</th>
              <th>Descripción</th>
              <th>Posición</th>
              <th>Cuota</th>
              <th>Estado</th>
              <th>NroCompensación</th>
              <th>FechaCompensación</th>
              <th>HoraCompensación</th>
              <th>Nro Socio</th>          
              <th>Nombres Socio</th>
              <th>Cédula</th>
              <th>Indicador</th>
              <th>Importe</th>
              <th>Moneda</th>
              <th>Vencimiento</th>


              <th>Usuario</th>
              <th>Fecha</th>
              <th>Hora</th>



            </tr>
          </thead>
          <tbody>
            <?php
            if (isset($_POST['buscar'])) {
            // Obtener los filtros del formulario
            $id_cliente = isset($_POST['id_cliente']) ? $_POST['id_cliente'] : '';
            $nombre     = isset($_POST['nombre']) ? $_POST['nombre'] : '';
            $cedula_cliente     = isset($_POST['cedula_cliente']) ? $_POST['cedula_cliente'] : '';
            
            $sql = "SELECT a.*, c.nombres, c.apellidos, b.primer_nombre, b.primer_apellido, b.cedula
                      FROM cuenta_corriente AS a
                      INNER JOIN clientes AS b ON a.id_cliente = b.id_cliente
                      INNER JOIN usuarios AS c ON a.id_usuario = c.id
                      WHERE 1=1";

// Agregar condiciones a la consulta SQL según los filtros
if (!empty($id_cliente)) {
    $sql .= " AND a.id_cliente = :id_cliente";
}

if (!empty($nombre)) {
    $sql .= " AND (b.primer_nombre LIKE :nombre OR b.primer_apellido LIKE :nombre)";
}

if (!empty($cedula_cliente)) {
  $sql .= " AND (b.cedula LIKE :cedula_cliente)";
}

$stmt = $conn->prepare($sql);

// Asignar parámetros a la consulta
if (!empty($id_cliente)) {
    $stmt->bindValue(':id_cliente', $id_cliente, PDO::PARAM_INT);
}

if (!empty($nombre)) {
    $stmt->bindValue(':nombre', '%' . $nombre . '%', PDO::PARAM_STR);
}


if (!empty($cedula_cliente)) {
  $stmt->bindValue(':cedula_cliente', $cedula_cliente, PDO::PARAM_INT);
}

$stmt->execute();
$resultado = $stmt->fetchAll();
/*
            $sql = "SELECT  a.*,  c.nombres, c.apellidos, b.primer_nombre, b.primer_apellido
                    FROM cuenta_corriente as a
                    inner join clientes as b
                    on a.id_cliente = b.id
                    inner join usuarios as c
                    on a.id_usuario = c.id
                    ";
            $stmt = $conn->prepare($sql);
            //$stmt->execute(array(':id' => $idqtic ));
            $stmt->execute(array());
            // $resultadoF = $stmt->fetch();


            //  $stmt->execute();
            $resultado = $stmt->fetchAll();
*/

            foreach ($resultado as $row) {


            ?>


              <tr>

                <td>
                  <?php echo $row['nro_documento']; ?>
                </td>

                <td>
                  <?php echo $row['clase_documento']; ?>
                </td>

                <td>
                  <?php echo $row['texto_posicion']; ?>
                </td>

                <td>
                  <?php echo $row['posicion']; ?>
                </td>
                <td>
                  <?php echo $row['cuota']; ?>
                </td>


                <td>
                  <?php echo ($row['estado'] == 0) ? 'Pendiente' : 'Pagado';; ?>
                </td>

                <td>
                  <?php echo $row['nro_compensacion']; ?>
                </td>
                
                <td>
                 
                  <?php echo ($row['fecha_compensacion'] == null) ? '' : date("d/m/Y", strtotime($row['fecha_compensacion'])) ; ?>
                </td>
                
                <td>
                  <?php echo $row['hora_compensacion']; ?>
                </td>

                <td>
                  <?php echo $row['id_cliente']; ?>
                </td>


                <td>
                  <?php echo $row['primer_nombre'] . " " . $row['primer_apellido']; ?>
                </td>

                <td>
                  <?php echo $row['cedula']; ?>
                </td>


                <td>
                  <?php echo $row['indicador_d_h']; ?>
                </td>

                <td>
                  <?php echo number_format($row['importe'], 0, '', '.');  ?>
                </td>

                <td>
                  <?php echo $row['moneda']; ?>
                </td>

                <td>
                  <?php echo ($row['vencimiento'] == null) ? '' : date("d/m/Y", strtotime($row['vencimiento'])) ; ?>
                </td>
              


                <td>
                  <?php echo $row['nombres'] . " " . $row['apellidos']; ?>
                </td>


                <td>
                  <?php echo date("d/m/Y", strtotime($row['fecha'])); ?>
                </td>


                <td>
                  <?php echo $row['hora']; ?>
                </td>



              </tr>

            <?php
            }}
            ?>

          </tbody>
          

          <tfoot>
            <tr>
            <th>Documento</th>
              <th>Clase de Documento</th>
              <th>Descripción</th>
              <th>Posición</th>
              <th>Cuota</th>
              <th>Estado</th>
              <th>NroCompensación</th>
              <th>FechaCompensación</th>
              <th>HoraCompensación</th>
              <th>Nro Socio</th>          
              <th>Nombres Socio</th>
              <th>Cédula</th>
              <th>Indicador</th>
              <th>Importe</th>
              <th>Moneda</th>
              <th>Vencimiento</th>


              <th>Usuario</th>
              <th>Fecha</th>
              <th>Hora</th>

            </tr>
          </tfoot>
        </table>


       

      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],

      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>