<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Reporte Movimiento Caja";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}
?>

<div class="content-wrapper">
  <!-- Main content -->
  <section class="content">

    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Movimiento Caja</h3>
      </div>


      <div class="card-header">
        <form method="POST" action="<?php echo basename(__FILE__); ?>" class="form-inline">
          <div class="form-group">
            <label for="nro_caja">Nro Caja</label>
            <input type="text" name="nro_caja" id="nro_caja" class="form-control mx-sm-2" value="">
          </div>

          <div class="form-group">
            <label for="nro_rendicion">Nro Rendición</label>
            <input type="text" name="nro_rendicion" id="nro_rendicion" class="form-control mx-sm-2" value="">
          </div>

          <div class="form-group">
            <label for="nro_movimiento">Nro Movimiento</label>
            <input type="text" name="nro_movimiento" id="nro_movimiento" class="form-control mx-sm-2" value="">
          </div>


          <button type="submit" class="btn btn-primary">Filtrar</button>
        </form>

      </div>

      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>ID</th>
              <th>Nro. Caja</th>
              <th>Nro. Rendición</th>
              <th>Movimiento</th>
              <th>Importe</th>
              <th>Clase Movimiento</th>
              <th>Clase Documento</th>
              <th>Descripción</th>
              <th>Concepto</th>
              <th>Moneda</th>
              <th>Nro. Documento</th>
              <th>Ejercicio</th>
              <th>Nro.Socio</th>
              <th>Mto.Anulado</th>
              <th>Vuelto</th>
              <th>Referencia</th>


              <th>Usuario</th>
              <th>Fecha</th>
              <th>Hora</th>



            </tr>
          </thead>
          <tbody>
            <?php
            // Obtener los filtros del formulario
            $nro_caja = isset($_POST['nro_caja']) ? $_POST['nro_caja'] : '';
            $nro_movimiento = isset($_POST['nro_movimiento']) ? $_POST['nro_movimiento'] : '';
            $nro_rendicion = isset($_POST['nro_rendicion']) ? $_POST['nro_rendicion'] : '';
            //  $nombre     = isset($_POST['nombre']) ? $_POST['nombre'] : '';
            // $cedula_cliente     = isset($_POST['cedula_cliente']) ? $_POST['cedula_cliente'] : '';

            $sql = "SELECT a.*, c.nombres, c.apellidos, b.concepto, b.importe as importeposi, d.nombre
                      FROM movimiento_caja_cab AS a
											inner join movimiento_caja_det as b 
											on a.nro_caja = b.nro_caja 
                      
											and a.nro_rendicion = b.nro_rendicion 
											and a.movimiento = b.movimiento
                       INNER JOIN usuarios AS c ON a.id_usuario = c.id

                       inner join clase_documento as d
                       on a.clase_documento = d.codigo
                      
                      WHERE 1=1";

            // Agregar condiciones a la consulta SQL según los filtros
            if (!empty($nro_caja)) {
              $sql .= " AND a.nro_caja = :nro_caja";
            }
            if (!empty($nro_rendicion)) {
              $sql .= " AND a.nro_rendicion = :nro_rendicion";
            }
            if (!empty($nro_movimiento)) {
              $sql .= " AND a.movimiento = :nro_movimiento";
            }
            /*
if (!empty($nombre)) {
    $sql .= " AND (b.primer_nombre LIKE :nombre OR b.primer_apellido LIKE :nombre)";
}

if (!empty($cedula_cliente)) {
  $sql .= " AND (b.cedula LIKE :cedula_cliente)";
}
*/
            $stmt = $conn->prepare($sql);

            // Asignar parámetros a la consulta
            if (!empty($nro_caja)) {
              $stmt->bindValue(':nro_caja', $nro_caja, PDO::PARAM_INT);
            }
            if (!empty($nro_rendicion)) {
              $stmt->bindValue(':nro_rendicion', $nro_rendicion, PDO::PARAM_INT);
            }
            if (!empty($nro_movimiento)) {
              $stmt->bindValue(':nro_movimiento', $nro_movimiento, PDO::PARAM_INT);
            }
            $stmt->execute();
            $resultado = $stmt->fetchAll();
            foreach ($resultado as $row) {
            ?>


              <tr>

                <td>
                  <?php echo $row['id']; ?>
                </td>

                <td>
                  <?php echo $row['nro_caja']; ?>
                </td>

                <td>
                  <?php echo $row['nro_rendicion']; ?>
                </td>

                <td>
                  <?php echo $row['movimiento']; ?>
                </td>

                <td>
                  <?php echo number_format($row['importeposi'], 0, '', '.');  ?>
                </td>

                <td>
                  <?php echo $row['clase_movimiento']; ?>
                </td>

                <td>
                  <?php echo $row['clase_documento']; ?>
                </td>

                <td>
                  <?php echo $row['nombre']; ?>
                </td>


                

                <td>
                  <?php echo $row['concepto']; ?>
                </td>

                <td>
                  <?php echo $row['moneda']; ?>
                </td>

                <td>
                  <?php echo $row['nro_documento']; ?>
                </td>

                <td>
                  <?php echo $row['ejercicio']; ?>
                </td>


                <td>
                  <?php echo $row['id_cliente']; ?>
                </td>

                <td>
                  <?php echo $row['mov_anulado']; ?>
                </td>

                <td>
                  <?php echo $row['vuelto']; ?>
                </td>

                <td>
                  <?php echo $row['referencia']; ?>
                </td>




                <td>
                  <?php echo $row['nombres'] . " " . $row['apellidos']; ?>
                </td>


                <td>
                  <?php echo $row['fecha']; ?>
                </td>


                <td>
                  <?php echo $row['hora']; ?>
                </td>



              </tr>

            <?php
            }
            ?>

          </tbody>
          <tfoot>
            <tr>
              <th>ID</th>
              <th>Nro. Caja</th>
              <th>Nro. Rendición</th>
              <th>Movimiento</th>
              <th>Importe</th>
              <th>Clase Movimiento</th>
              <th>Clase Documento</th>
              <th>Descripción</th>
              <th>Concepto</th>
              <th>Moneda</th>
              <th>Nro. Documento</th>
              <th>Ejercicio</th>
              <th>Nro.Socio</th>
              <th>Mto.Anulado</th>
              <th>Vuelto</th>
              <th>Referencia</th>


              <th>Usuario</th>
              <th>Fecha</th>
              <th>Hora</th>

            </tr>
          </tfoot>
        </table>
      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],

      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>