<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Reporte  Socio";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">


    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>
      </div>

      <div class="card-header">

        <form method="POST" action="<?php echo basename(__FILE__); ?>" class="form-inline" id="locationForm">

          <div class="row">
            <div class="col-md-3">
              <div class="form-group">
                <label for="id_cliente">Nro Socio:</label>
                <input type="text" name="id_cliente" id="id_cliente" class="form-control mx-sm-2" value="">
              </div>
            </div>

            <div class="col-md-3">
              <div class="form-group">
                <label for="cedula_cliente">Nro Cedula:</label>
                <input type="text" name="cedula_cliente" id="cedula_cliente" class="form-control mx-sm-2" value="">
              </div>
            </div>

            <div class="col-md-3">
              <div class="form-group">
                <label for="nombre">Nombre Cliente:</label>
                <input type="text" name="nombre" id="nombre" class="form-control mx-sm-2" value="">
              </div>
            </div>

            <div class="col-md-3 mt-4">
              <div class="form-group">
                <label for="tipo_admision">Tipo Admisión</label>
                <select type="text" name="tipo_admision" id="tipo_admision" class="form-control needValidate">
                  <option value="">Seleccione</option>
                  <?php
                  $sql_ad = "SELECT  * from tipo_admision where estado = 1  order by nombre ASC ";
                  $stmt = $conn->prepare($sql_ad);
                  $stmt->execute();
                  $resultado_ad = $stmt->fetchAll();
                  foreach ($resultado_ad as $row_ad) {
                    echo "<option value=" . $row_ad['id'] . ">" . $row_ad['nombre'] . "</option>";
                  }
                  ?>
                </select>
              </div>
            </div>

          </div>
          <div class="row">

            <div class="col-md-3 mt-4">
              <div class="form-group">
                <label for="genero">Genero</label>
                <div class="mt-2">
                <select type="text" name="genero" id="genero" class="form-control needValidate">
                  <option value="">Seleccione</option>
                  <?php
                  $sql_ge = "SELECT  * from tipo_genero where estado = 1  order by nombre ASC ";
                  $stmt = $conn->prepare($sql_ge);
                  $stmt->execute();
                  $resultado_ge = $stmt->fetchAll();
                  foreach ($resultado_ge as $row_ge) {
                    echo "<option value=" . $row_ge['id'] . ">" . $row_ge['nombre'] . "</option>";
                  }
                  ?>
                </select>
                </div>
              </div>
            </div>


            <div class="col-md-3 mt-4">
              <div class="form-group">
                <label for="origen">Origen</label>
                <select type="text" class="form-control" id="origen" name="origen">
                  <option value="">Seleccione</option>
                  <?php
                  $sql_ori = "SELECT  * from tipo_origen where estado = 1  order by nombre ASC ";
                  $stmt = $conn->prepare($sql_ori);
                  $stmt->execute();
                  $resultado_ori = $stmt->fetchAll();
                  foreach ($resultado_ori as $row_ori) {
                    echo "<option value=" . $row_ori['id'] . ">" . $row_ori['nombre'] . "</option>";
                  }
                  ?>
                </select>
              </div>
            </div>


            <div class="col-md-3 mt-4">
              <div class="form-group">
                <label for="estado_civil">Estado Civil</label>
                <select type="text" name="estado_civil" id="estado_civil" class="form-control">
                  <option value="">Seleccione</option>
                  <?php
                  $sql_ec = "SELECT  * from estado_civil where estado = 1  order by nombre ASC ";
                  $stmt = $conn->prepare($sql_ec);
                  $stmt->execute();
                  $resultado_ec = $stmt->fetchAll();
                  foreach ($resultado_ec as $row_ec) {
                    echo "<option value=" . $row_ec['id'] . ">" . $row_ec['nombre'] . "</option>";
                  }
                  ?>

                </select>
              </div>
            </div>


            <div class="col-md-3 mt-4">
              <div class="form-group">
                <label for="proponente">Socio Proponente</label>
                <select type="text" name="proponente" id="proponente" class="form-control">
                  <option value="">Seleccione</option>
                  <?php
                  $sql_sp = "SELECT  * from clientes where estado = 1  order by primer_nombre ASC ";
                  $stmt = $conn->prepare($sql_sp);
                  $stmt->execute();
                  $resultado_sp = $stmt->fetchAll();
                  foreach ($resultado_sp as $row_sp) {
                    echo "<option value=" . $row_sp['nro_socio'] . ">" . $row_sp['nro_socio'] . " - " . $row_sp['primer_nombre'] . " " . $row_sp['primer_apellido'] . "</option>";
                  }
                  ?>

                </select>
              </div>
            </div>


          </div>
          <div class="row">


            <div class="col-md-3 mt-4">
              <div class="form-group">
                <label for="profesion">Profesión</label>
                <select type="text" name="profesion" id="profesion" class="form-control">
                  <option value="">Seleccione</option>
                  <?php
                  $sql_ge = "SELECT  * from tipo_profesion where estado = 1  order by nombre ASC ";
                  $stmt = $conn->prepare($sql_ge);
                  $stmt->execute();
                  $resultado_ge = $stmt->fetchAll();
                  foreach ($resultado_ge as $row_ge) {
                    echo "<option value=" . $row_ge['id'] . ">" . $row_ge['nombre'] . "</option>";
                  }
                  ?>
                </select>
              </div>
            </div>

            <div class="col-md-3 mt-4">
              <div class="form-group">
                <label for="estado">Estado </label>
                <select type="text" name="estado" id="estado" class="form-control">
                <option value="">Todos</option>
                  <?php
                  $sql_ge = "SELECT  * from estado_cliente where estado = 1  order by nombre ASC ";
                  $stmt = $conn->prepare($sql_ge);
                  $stmt->execute();
                  $resultado_ge = $stmt->fetchAll();
                  foreach ($resultado_ge as $row_ge) {
                    echo "<option value=" . $row_ge['id'] . ">" . $row_ge['nombre'] . "</option>";
                  }
                  ?>
                </select>
              </div>
            </div>


            <div class="col-md-3 mt-4">
              <div class="form-group">
                <label for="pep">PEP</label>
                <select type="text" name="pep" id="pep" class="form-control">
                  <option value="">Seleccione</option>
                  <option value="SI">Si</option>
                  <option value="NO">No</option>

                </select>
              </div>
            </div>


          </div>

          <div class="row">

            <div class="col-md-3">
              <div class="form-group">
                <label for="pais">País:</label>
                <select id="pais" name="pais" class="form-control">
                  <option value="">Seleccione un país</option>
                </select>
              </div>
            </div>


            <div class="col-md-3">
              <div class="form-group">
                <label for="departamento">Departamento:</label>
                <select id="departamento" name="departamento" disabled class="form-control">
                  <option value="">Seleccione un departamento</option>
                </select>
              </div>
            </div>


            <div class="col-md-3">
              <div class="form-group">
                <label for="distrito">Distrito:</label>
                <select id="distrito" name="distrito" disabled class="form-control">
                  <option value="">Seleccione un distrito</option>
                </select>
              </div>
            </div>


            <div class="col-md-3">
              <div class="form-group">
                <label for="ciudad">Ciudad:</label>
                <select id="ciudad" name="ciudad" disabled class="form-control">
                  <option value="">Seleccione una ciudad</option>
                </select>
              </div>
            </div>





            <div class="col-md-3">
              <div class="form-group">
                <label for="barrio">Barrio:</label>
                <select id="barrio" name="barrio" disabled class="form-control">
                  <option value="">Seleccione un barrio</option>
                </select>
              </div>
            </div>
          </div>

          <button type="submit" name="buscar" class="btn btn-primary">Filtrar</button>
        </form>

      </div>


      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>Nro Socio</th>
              <th>Cedula</th>
              <th>Primer Nombre</th>
              <th>Segundo Nombre</th>
              <th>Primer Apellido</th>
              <th>Segundo Apellido</th>
              <th>Apelldio Casado/a</th>
              <th>Fecha de Nacimiento</th>
              <th>Est.Civil</th>
              <th>PEP</th>
              <th>Genero</th>
              <th>Origen</th>
              <th>Categoria</th>
              <th>Admisión</th>
              <th>Correo</th>
              <th>Teléfono</th>
              <th>Celular</th>
              <th>Pais</th>
              <th>Departamento</th>
              <th>Distrito</th>
              <th>Ciudad</th>
              <th>Barrio</th>
              <th>Proponente</th>
              <th>ActaNro</th>
              <th>Fecha</th>
              <th>Hora</th>
              <th>Usuario</th>
              <th>Archivos</th>
              <th>PEP</th>
              <th>Latitud</th>
              <th>Longitud</th>
              <th>Acción</th>
              <th>Imprimir</th>

            </tr>
          </thead>
          <tbody>
            <?php
            if (isset($_POST['buscar'])) {
              // Obtener los filtros del formulario
              $id_cliente     = isset($_POST['id_cliente']) ? $_POST['id_cliente'] : '';
              $nombre         = isset($_POST['nombre']) ? $_POST['nombre'] : '';
              $cedula_cliente = isset($_POST['cedula_cliente']) ? $_POST['cedula_cliente'] : '';

              $pais = isset($_POST['pais']) ? $_POST['pais'] : '';
              $departamento = isset($_POST['departamento']) ? $_POST['departamento'] : '';
              $distrito = isset($_POST['distrito']) ? $_POST['distrito'] : '';
              $ciudad = isset($_POST['ciudad']) ? $_POST['ciudad'] : '';
              $barrio = isset($_POST['barrio']) ? $_POST['barrio'] : '';


              $tipo_admision = isset($_POST['tipo_admision']) ? $_POST['tipo_admision'] : '';
              $genero        = isset($_POST['genero']) ? $_POST['genero'] : '';
              $origen        = isset($_POST['origen']) ? $_POST['origen'] : '';
              $estado_civil  = isset($_POST['estado_civil']) ? $_POST['estado_civil'] : '';
              $proponente    = isset($_POST['proponente']) ? $_POST['proponente'] : '';
              $profesion     = isset($_POST['profesion']) ? $_POST['profesion'] : '';
              $pep           = isset($_POST['pep']) ? $_POST['pep'] : '';

              $estado           = isset($_POST['estado']) ? $_POST['estado'] : '';


$sql = "SELECT a.*, b.nombre as estado_civil, c.nombre as genero, d.nombre as pais, e.nombre as departamento, f.nombre as distrito, g.nombre as ciudad, h.nombre as barrio,
i.nombre as profesion, j.nombre as nacionalidad, k.nombre as origen, l.nombre as categoria, m.nombre as admision, n.nombres, n.apellidos
FROM clientes as a 
left join estado_civil as b on a.id_estadocivil = b.id
left join tipo_genero as c on a.id_genero = c.id
left join pais as d on a.id_pais = d.id
left join departamento as e on a.id_departamento = e.id
left join distrito as f on a.id_distrito = f.id
left join ciudad as g on a.id_genero = g.id
left join barrio as h on a.id_barrio = h.id
left join tipo_profesion as i on a.id_profesion = i.id
left join nacionalidad as j on a.id_nacionalidad = j.id
left join tipo_origen as k on a.id_origen = k.id
left join tipo_categoria as l on a.id_categoria = l.id
left join tipo_admision as m on a.id_admision = m.id
left join usuarios as n on a.usuario_estado = n.id
WHERE 1=1";

              // Agregar condiciones a la consulta SQL según los filtros

              if (!empty($estado)) {
                $sql .= " AND a.estado = :estado";
              }


              if (!empty($id_cliente)) {
                $sql .= " AND a.id_cliente = :id_cliente";
              }

              if (!empty($nombre)) {
                $sql .= " AND (a.primer_nombre LIKE :nombre OR b.primer_apellido LIKE :nombre)";
              }

              if (!empty($cedula_cliente)) {
                $sql .= " AND (a.cedula LIKE :cedula_cliente)";
              }


              if (!empty($pais)) {
                $sql .= " AND (a.id_pais LIKE :pais)";
              }

              if (!empty($departamento)) {
                $sql .= " AND (a.id_departamento LIKE :departamento)";
              }

              if (!empty($distrito)) {
                $sql .= " AND (a.id_distrito LIKE :distrito)";
              }

              if (!empty($ciudad)) {
                $sql .= " AND (a.id_ciudad LIKE :ciudad)";
              }

              if (!empty($barrio)) {
                $sql .= " AND (a.id_barrio LIKE :barrio)";
              }


              if (!empty($tipo_admision)) {
                $sql .= " AND (a.id_admision LIKE :tipo_admision)";
              }

              if (!empty($genero)) {
                $sql .= " AND (a.id_genero LIKE :genero)";
              }

              if (!empty($origen)) {
                $sql .= " AND (a.id_origen LIKE :origen)";
              }

              if (!empty($estado_civil)) {
                $sql .= " AND (a.id_estadocivil LIKE :estado_civil)";
              }


              if (!empty($proponente)) {
                $sql .= " AND (a.proponente LIKE :proponente)";
              }

              if (!empty($profesion)) {
                $sql .= " AND (a.id_profesion LIKE :profesion)";
              }

              $stmt = $conn->prepare($sql);

              // Asignar parámetros a la consulta
              if (!empty($id_cliente)) {
                $stmt->bindValue(':id_cliente', $id_cliente, PDO::PARAM_INT);
              }

              if (!empty($nombre)) {
                $stmt->bindValue(':nombre', '%' . $nombre . '%', PDO::PARAM_STR);
              }


              if (!empty($cedula_cliente)) {
                $stmt->bindValue(':cedula_cliente', $cedula_cliente, PDO::PARAM_INT);
              }



              if (!empty($pais)) {
                $stmt->bindValue(':pais', $pais, PDO::PARAM_INT);
              }
              if (!empty($departamento)) {
                $stmt->bindValue(':departamento', $departamento, PDO::PARAM_INT);
              }
              if (!empty($distrito)) {
                $stmt->bindValue(':distrito', $distrito, PDO::PARAM_INT);
              }
              if (!empty($ciudad)) {
                $stmt->bindValue(':ciudad', $ciudad, PDO::PARAM_INT);
              }
              if (!empty($barrio)) {
                $stmt->bindValue(':barrio', $barrio, PDO::PARAM_INT);
              }


              if (!empty($tipo_admision)) {
                $stmt->bindValue(':tipo_admision', $tipo_admision, PDO::PARAM_INT);
              }

              if (!empty($genero)) {
                $stmt->bindValue(':genero', $genero, PDO::PARAM_INT);
              }

              if (!empty($origen)) {
                $stmt->bindValue(':origen', $origen, PDO::PARAM_INT);
              }

              if (!empty($estado_civil)) {
                $stmt->bindValue(':estado_civil', $estado_civil, PDO::PARAM_INT);
              }

              if (!empty($proponente)) {
                $stmt->bindValue(':proponente', $proponente, PDO::PARAM_INT);
              }

              if (!empty($profesion)) {
                $stmt->bindValue(':profesion', $profesion, PDO::PARAM_INT);
              }

              if (!empty($pep)) {
                $stmt->bindValue(':pep', $pep, PDO::PARAM_INT);
              }

              if (!empty($estado)) {
                $stmt->bindValue(':estado', $estado, PDO::PARAM_INT);
              }



      

              $stmt->execute();
              $resultado = $stmt->fetchAll();


              foreach ($resultado as $row) {


            ?>


                <tr>
                  <td>
                    <?php echo $row['nro_socio']; ?>
                  </td>
                  <td>
                    <?php echo $row['cedula']; ?>
                  </td>

                  <td>
                    <?php echo $row['primer_nombre']; ?>
                  </td>

                  <td>
                    <?php echo $row['segundo_nombre']; ?>
                  </td>

                  <td>
                    <?php echo $row['primer_apellido']; ?>
                  </td>


                  <td>
                    <?php echo $row['segundo_apellido']; ?>
                  </td>

                  <td>
                    <?php echo $row['apellido_casado']; ?>
                  </td>


                  <td>
                    <?php echo $row['fecha_nacimiento']; ?>
                  </td>

                  <td>
                    <?php echo $row['estado_civil']; ?>
                  </td>

                  <td>
                    <?php echo $row['pep']; ?>
                  </td>

                  <td>
                    <?php echo $row['genero']; ?>
                  </td>

                  <td>
                    <?php echo $row['origen']; ?>
                  </td>

                  <td>
                    <?php echo $row['categoria']; ?>
                  </td>

                  <td>
                    <?php echo $row['admision']; ?>
                  </td>

                  <td>
                    <?php echo $row['email']; ?>
                  </td>


                  <td>
                    <?php echo $row['telefono']; ?>
                  </td>


                  <td>
                    <?php echo $row['celular']; ?>
                  </td>

                  <td>
                    <?php echo $row['pais']; ?>
                  </td>

                  <td>
                    <?php echo $row['departamento']; ?>
                  </td>

                  <td>
                    <?php echo $row['distrito']; ?>
                  </td>

                  <td>
                    <?php echo $row['ciudad']; ?>
                  </td>

                  <td>
                    <?php echo $row['barrio']; ?>
                  </td>


                  <td>
                    <?php echo $row['proponente']; ?>
                  </td>

                  <td>
                    <?php echo $row['actanro']; ?>
                  </td>

                  <td>
                    <?php echo $row['fecha_ingreso']; ?>
                  </td>


                  <td>
                    <?php echo $row['hora_ingreso']; ?>
                  </td>


                  <td>
                    <?php echo $row['nombres'] . " " . $row['apellidos']; ?>
                  </td>

                  <td>
                    <a href="reporte_archivos.php?id=<?php echo $row['id_cliente']; ?>&csrf_token=<?php echo $_SESSION['csrf_token']; ?>" target='_blank'>Ver</a>
                  </td>

                  <td>
                    <?php echo $row['pep']; ?>
                  </td>

                  <td>
                    <a href="ver_gps.php?latitud=<?php echo $row['latitud']; ?>&longitud=<?php echo $row['longitud']; ?>&csrf_token=<?php echo $_SESSION['csrf_token']; ?>" target='_blank'><?php echo $row['latitud']; ?></a>
                  </td>

                  <td>
                    <?php echo $row['longitud']; ?>
                  </td>




                  <td>
                      <a href="editar_cliente.php?id=<?php echo  $row['id_cliente'];?>">Modificar</a>
                      </td>

                  
                        <td>
                        <form action="reportes/solicitudIngreso.php" method="POST" target="_blank">
                        <input type="hidden" name="id_cliente" value="<?php echo $row['id_cliente']; ?>">
                        <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">
                        <button type="submit">Imprimir</button>
                        </form>
                        </td>


                </tr>

            <?php
              }
            }
            ?>

          </tbody>
          <tfoot>
            <tr>
              <th>Nro Socio</th>
              <th>Cedula</th>
              <th>Primer Nombre</th>
              <th>Segundo Nombre</th>
              <th>Primer Apellido</th>
              <th>Segundo Apellido</th>
              <th>Apelldio Casado/a</th>
              <th>Fecha de Nacimiento</th>
              <th>Est.Civil</th>
              <th>PEP</th>
              <th>Genero</th>
              <th>Origen</th>
              <th>Categoria</th>
              <th>Admisión</th>
              <th>Correo</th>
              <th>Teléfono</th>
              <th>Celular</th>
              <th>Pais</th>
              <th>Departamento</th>
              <th>Distrito</th>
              <th>Ciudad</th>
              <th>Barrio</th>
              <th>Proponente</th>
              <th>ActaNro</th>
              <th>Fecha</th>
              <th>Hora</th>
              <th>Usuario</th>
              <th>Archivos</th>
              <th>PEP</th>
              <th>Latitud</th>
              <th>Longitud</th>
              <th>Acción</th>
              <th>Imprimir</th>


            </tr>
          </tfoot>
        </table>
      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],
      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });




  document.addEventListener("DOMContentLoaded", function() {
    const selects = {
      pais: document.getElementById("pais"),
      departamento: document.getElementById("departamento"),
      distrito: document.getElementById("distrito"),
      ciudad: document.getElementById("ciudad"),
      barrio: document.getElementById("barrio")
    };

    // Cargar los países al inicio
    cargarDatos("pais", null, selects.pais);

    // Configura los eventos en cascada
    selects.pais.addEventListener("change", function() {
      cargarDatos("departamento", this.value, selects.departamento);
    });

    selects.departamento.addEventListener("change", function() {
      cargarDatos("distrito", this.value, selects.distrito);
    });

    selects.distrito.addEventListener("change", function() {
      cargarDatos("ciudad", this.value, selects.ciudad);
    });

    selects.ciudad.addEventListener("change", function() {
      cargarDatos("barrio", this.value, selects.barrio);
    });

    // Función para cargar datos dinámicamente
    function cargarDatos(nivel, id, select) {
      // Desactiva el select mientras se cargan los datos
      select.disabled = true;
      select.innerHTML = '<option value="">Cargando...</option>';

      // Realiza la solicitud AJAX
      fetch("api/getPais.php", {
          method: "POST",
          headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
          body: new URLSearchParams({
            nivel,
            id
          })
        })
        .then((response) => response.json())
        .then((data) => {
          // Limpia y llena el select
          select.innerHTML = '<option value="">Seleccione una opción</option>';
          data.forEach((item) => {
            const option = document.createElement("option");
            option.value = item.id;
            option.textContent = item.nombre;
            select.appendChild(option);
          });

          // Habilita el select si hay datos
          select.disabled = data.length === 0;
        })
        .catch((error) => {
          console.error("Error al cargar datos:", error);
        });
    }
  });
</script>