<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Pendiente de Aprobación";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Pendientes de Aprobación</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Inicio</a></li>
            <li class="breadcrumb-item active">Estado</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>

  <!-- Main content -->
  <section class="content">


    <div class="card">
      <div class="card-header">
        <h3 class="card-title"></h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>Nro</th>
              <th>Cedula</th>
              <th>Nombres</th>

              <th>Apellidos</th>
              <th>Socio Proponente</th>
              <th>Acción</th>
              <th>Aprobar/Rechazar</th>

            </tr>
          </thead>
          <tbody>
            <?php
            $sql = "SELECT  a.* 
FROM clientes as a 
where estado = 0
 ";
            $stmt = $conn->prepare($sql);
            //$stmt->execute(array(':id' => $idqtic ));
            $stmt->execute(array());
            // $resultadoF = $stmt->fetch();


            //  $stmt->execute();
            $resultado = $stmt->fetchAll();


            foreach ($resultado as $row) {


            ?>


              <tr>
                <td>
                  <?php echo $row['id_cliente']; ?>
                </td>
                <td>
                  <?php echo $row['cedula']; ?>
                </td>

                <td>
                  <?php echo $row['primer_nombre'] . " " . $row['segundo_nombre']; ?>
                </td>

                <td>
                  <?php echo $row['primer_apellido'] . " " . $row['segundo_apellido']; ?>
                </td>

                <td>
                  <?php echo $row['proponente']; ?>
                </td>

                <td>
                      <a href="editar_cliente.php?id=<?php echo  $row['id_cliente'];?>">Editar</a>
                      </td>

                <td>
                  <button class="btn btn-success btn-edit" style="padding: 2px 8px;" type="button"
                    data-toggle="modal" id='btn_<?php echo $row['id_cliente']; ?>' onclick="aprobar('<?php echo $row['id_cliente']; ?>&csrf_token=<?php echo $_SESSION['csrf_token']; ?>')" data-target="#exampleModalLong3">
                    <i class="nav-icon fas fa-edit" style="color:white"></i>

                  </button>
<!--
                  <form method="POST" action="funciones/aprobar_socio.php">

                    <input type="hidden" name="id" value="<?php echo $row['id']; ?>">
                    <button type="submit" class="btn btn-danger">Aprobar</button>
                  </form>
            -->

                </td>

              </tr>

            <?php
            }
            ?>

          </tbody>
          <tfoot>
            <tr>
              <th>Nro</th>
              <th>Cedula</th>
              <th>Nombres</th>

              <th>Apellidos</th>
              <th>Socio Proponente</th>
              <th>Acción</th>
              <th>Aprobar/Rechazar</th>


            </tr>
          </tfoot>
        </table>
      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],

      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });



  var id = "";

  function aprobar(id) {
    var url = "funciones/aprobar_socio.php?id=" + id;
    $.get(url, function(data) {
      $(".modal-body").html(data);
    });
  }
</script>



<div class="modal fade" id="exampleModalLong3" tabindex="5" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Acción</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="mdialTamanio">
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
          <!-- <button type="button" class="btn btn-primary">Save changes</button>-->
        </div>
      </div>
    </div>
  </div>
</div>