<?php
require_once('../joajurehegua.php');
include_once('funciones/funciones.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Aprobar/Rechazar Crédito";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}

if (!empty($_POST['id'])) {
  $id = $_POST['id'];
  $sql = "SELECT z.*, a.*, b.nombre as estado_civil, c.nombre as genero, d.nombre as pais, 
e.nombre as departamento, f.nombre as distrito, g.nombre as ciudad, h.nombre as barrio,
i.nombre as profesion, j.nombre as nacionalidad, k.nombre as origen, l.nombre as categoria, 
m.nombre as admision, n.nombres, n.apellidos, o.nombre as tipo_credito, 
p.nombre as destino, q.nombre as garantia, r.nombre as clasificacion
FROM creditos as z 
LEFT JOIN clientes as a on z.id_cliente = a.id_cliente
LEFT JOIN estado_civil as b on a.id_estadocivil = b.id
LEFT JOIN tipo_genero as c on a.id_genero = c.id
LEFT JOIN pais as d on a.id_pais = d.id
LEFT JOIN departamento as e on a.id_departamento = e.id
LEFT JOIN distrito as f on a.id_distrito = f.id
LEFT JOIN ciudad as g on a.id_ciudad = g.id
LEFT JOIN barrio as h on a.id_genero = h.id
LEFT JOIN tipo_profesion as i on a.id_profesion = i.id
LEFT JOIN nacionalidad as j on a.id_nacionalidad = j.id
LEFT JOIN tipo_origen as k on a.id_origen = k.id
LEFT JOIN tipo_categoria as l on a.id_categoria = l.id
LEFT JOIN tipo_admision as m on a.id_admision = m.id
LEFT JOIN usuarios as n on a.usuario_estado = n.id
LEFT JOIN tipo_credito as o on z.id_tipo_credito = o.id
LEFT JOIN tipo_destino as p on z.id_destino = p.id 
LEFT JOIN tipo_garantia as q on z.id_garantia = q.id 
LEFT JOIN tipo_clasificacion as r on z.id_garantia = r.id                     
WHERE z.id = :id";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id));
  $resultado = $stmt->fetch();

  // detalles de creditos
  $sql_det = "SELECT  a.*
  FROM credito_detalles as a
  where id_credito = :id_credito ";
  $stmt = $conn->prepare($sql_det);
  $stmt->execute(array(':id_credito' => $resultado['id']));
  //$stmt->execute(array());
  $resultado_det = $stmt->fetchAll();
  $referencias=mostrarReferenciasCredito($resultado['id_cliente'],$id);
  $comentarios=verComentarios($id);
  $analisis=verAnalisis($id);
  $verDatosAprobacion=mostrarDatosAprobados($id);

}
?>

<style>
  .table-container {
    max-height: 300px;
    overflow-y: auto;
  }

  .highlight {
    background-color: #dff0d8;
  }

  .no-print {
    display: none;
  }
</style>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Main content -->
  <section class="content">
    <!-- Default box -->
    <div class="card">
      <div class="card card-success">
        <div class="card-header bg-success">
          <h3 class="card-title">Aprobación/Rechazo </h3>
        </div>
        <section class="content p-3">
          <div class="container-fluid">
            <div class="row">
              <div class="col-md-3">
                <div class="card">
                  <div class="card-header bg-success">
                    <h3 class="card-title">Datos del Socio</h3>

                    <div class="card-tools">
                      <button type="button" class="btn btn-tool" data-card-widget="collapse">
                        <i class="fas fa-minus"></i>
                      </button>
                    </div>
                  </div>
                  <div class="card-body p-0">
                    <ul class="nav nav-pills flex-column">

                      <li class="nav-item active">
                        Nombre y Apellido:
                        <span class="badge bg-warning float"><?php echo $resultado['primer_nombre'] . " " . $resultado['primer_apellido']; ?></span>
                      </li>

                      <li class="nav-item">
                        Número de Cédula:
                        <span class="badge bg-warning float"><?php echo $resultado['cedula']; ?></span>
                      </li>
                      <li class="nav-item">
                        Número de Socio:
                        <span class="badge bg-warning float"><?php echo $resultado['nro_socio']; ?></span>
                      </li>
                      <li class="nav-item">
                        Fecha de Nacimiento:
                        <span class="badge bg-warning float"><?php echo date("d/m/Y", strtotime($row['fecha_nacimiento'])); ?> </span>
                      </li>
                      <li class="nav-item">
                        Categoria:
                        <span class="badge bg-warning float"><?php echo $resultado['categoria']; ?> </span>
                      </li>

                      <li class="nav-item">
                        Teléfono:
                        <span class="badge bg-warning float"><?php echo $resultado['telefono']; ?> </span>
                      </li>


                      <li class="nav-item">
                        Celular:
                        <span class="badge bg-warning float"><?php echo $resultado['celular']; ?> </span>
                      </li>


                      <li class="nav-item">
                        Correo:
                        <span class="badge bg-warning float"><?php echo $resultado['email']; ?> </span>
                      </li>



                      <li class="nav-item">
                        Profesión:
                        <span class="badge bg-warning float"><?php echo $resultado['profesion']; ?> </span>
                      </li>

                      <li class="nav-item">
                        Estado Civil:
                        <span class="badge bg-warning float"><?php echo $resultado['estado_civil']; ?> </span>
                      </li>



                      <li class="nav-item">
                        Pais:
                        <span class="badge bg-warning float"><?php echo $resultado['pais']; ?> </span>
                      </li>



                      <li class="nav-item">
                        Departamento:
                        <span class="badge bg-warning float"><?php echo $resultado['departamento']; ?> </span>
                      </li>

                      <li class="nav-item">
                        Distrito:
                        <span class="badge bg-warning float"><?php echo $resultado['distrito']; ?> </span>
                      </li>

                      <li class="nav-item">
                        Ciudad:
                        <span class="badge bg-warning float"><?php echo $resultado['ciudad']; ?> </span>
                      </li>

                      <li class="nav-item">
                        Barrio:
                        <span class="badge bg-warning float"><?php echo $resultado['barrio']; ?> </span>
                      </li>

                      <li class="nav-item">
                        Direccion:
                        <span class="badge bg-warning float"><?php echo $resultado['direccion']; ?> </span>
                      </li>


                    </ul>
                  </div>
                  <!-- /.card-body -->
                </div>
                <!-- /.card -->


                <div class="card">
                  <div class="card-header bg-success">
                    <h3 class="card-title">Análisis del Crédito</h3>

                    <div class="card-tools">
                      <button type="button" class="btn btn-tool" data-card-widget="collapse">
                        <i class="fas fa-minus"></i>
                      </button>
                    </div>
                  </div>
                  <div class="card-body p-0">
                    <ul class="nav nav-pills flex-column">

                      <li class="nav-item active">
                        Aporte:
                        <span class="badge bg-warning float"><?php echo $resultado['primer_nombre'] . " " . $resultado['primer_apellido']; ?></span>
                      </li>

                      <li class="nav-item">
                        Número de Cédula:
                        <span class="badge bg-warning float"><?php echo $resultado['cedula']; ?></span>
                      </li>
                      <li class="nav-item">
                        Número de Socio:
                        <span class="badge bg-warning float"><?php echo $resultado['nro_socio']; ?></span>
                      </li>
                      <li class="nav-item">
                        Fecha de Nacimiento:
                        <span class="badge bg-warning float"><?php echo date("d/m/Y", strtotime($row['fecha_nacimiento'])); ?> </span>
                      </li>
                      <li class="nav-item">
                        Categoria:
                        <span class="badge bg-warning float"><?php echo $resultado['categoria']; ?> </span>
                      </li>

                      <li class="nav-item">
                        Teléfono:
                        <span class="badge bg-warning float"><?php echo $resultado['telefono']; ?> </span>
                      </li>
                    </ul>
                  </div>
                  <!-- /.card-body -->
                </div>
                <div class="card">
                <div class="card-header  bg-success">
                  <h3 class="card-title">Referencias</h3>

                  <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                      <i class="fas fa-minus"></i>
                    </button>
                  </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body p-0">
                  <ul class="nav nav-pills flex-column">
                  <?php foreach ($referencias as $referencia) {
                              echo '<li class="nav-item p-2">';
                              echo 'Nombre: <span class="badge bg-warning float">' . htmlspecialchars($referencia['nombres']) . '</span><br>';
                              echo 'Tipo: <span class="badge bg-warning float">' . htmlspecialchars($referencia['nombre']) . '</span><br>';
                              echo 'Contacto:<span class="badge bg-warning float">' . htmlspecialchars($referencia['telefono']) . '</span><br>';
                              echo '</li>';
                          } ?>
                  </ul>
                </div>
                <!-- /.card-body -->
              </div>
                <!-- /.card -->
              </div>
              <!-- /.col -->
              <div class="col-md-9">
                <div class="card card-primary">
                  <div class="card-header bg-success">
                    <h3 class="card-title">Aprobación/Rechazo de Créditos</h3>
                  </div>
                  <!-- /.card-header -->
                  <div class="container my-4">
                    <div class="row">
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="tipoCredito">Tipo Crédito</label>
                          <select type="text" name="tipoCredito" id="tipoCredito" class="form-control needValidate" readonly>
                            <option value="<?php echo $resultado['id_tipo_credito']; ?>"><?php echo $resultado['tipo_credito']; ?></option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="id_tipo_garantia">Tipo Garantia</label>
                          <select type="text" name="id_tipo_garantia" id="id_tipo_garantia" class="form-control needValidate" readonly>
                            <option value="<?php echo $resultado['id_tipo_garantia']; ?>"><?php echo $resultado['garantia']; ?> </option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="id_destino">Destino Crédito</label>
                          <select type="text" name="id_destino" id="id_destino" class="form-control needValidate" readonly>
                            <option value="<?php echo $resultado['id_destino']; ?>"><?php echo $resultado['destino']; ?></option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="id_clasificacion">Clasificación Crédito</label>
                          <select type="text" name="id_clasificacion" id="id_clasificacion" class="form-control needValidate" readonly>
                            <option value="<?php echo $resultado['id_clasificacion']; ?>"><?php echo $resultado['clasificacion']; ?></option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="tipoCalculo">Tipo de Calculo</label>
                          <input type="text" id="tipoCalculo" class="form-control" value="<?php echo $resultado['tipo_calculo']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="tasaInteres">% Tasa Interés</label>
                          <input type="number" id="tasaInteres" class="form-control" value="<?php echo $resultado['tasa_interes']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="gastosAdministrativos">%Gasto Administrativo</label>
                          <input type="number" id="gastosAdministrativos" class="form-control" value="<?php echo $resultado['gasto_admin']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="seguro_cre">%Seguro Crédito</label>
                          <input type="number" id="seguro_cre" class="form-control" value="<?php echo $resultado['seguro_credito']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="gastosFondo">%Gasto Operacional</label>
                          <input type="number" id="gastosFondo" class="form-control" value="<?php echo $resultado['gasto_operacion']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="plazo">Plazo (Meses/Días)</label>
                          <input type="number" id="plazo" class="form-control" value="<?php echo $resultado['plazo']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="fechaDesembolso">Fecha Desembolso</label>
                          <input type="date" id="fechaDesembolso" class="form-control" value="<?php echo $resultado['fecha_desembolso']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="fechaPrimerVencimiento">Fecha primer Venc.</label>
                          <input type="date" id="fechaPrimerVencimiento" class="form-control" value="<?php echo $resultado['fecha_vencimiento']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="montoSolicitado">Monto Solicitado</label>
                          <input type="text" id="montoSolicitado" class="form-control" value="<?php echo $verDatosAprobacion[0]['credito_analisis_montoSolicitado']; ?> " readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group highlight">
                          <label for="mga">Monto GA</label>
                          <input type="text" id="mga" class="form-control" value="<?php echo (($verDatosAprobacion[0]['credito_analisis_montoSolicitado'] * $resultado['gasto_admin']) / 100); ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group highlight">
                          <label for="msc">Monto SC</label>
                          <input type="text" id="msc" class="form-control" value="<?php echo (($verDatosAprobacion[0]['credito_analisis_montoSolicitado'] * $resultado['seguro_credito']) / 100); ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group highlight">
                          <label for="mgo">Monto GO</label>
                          <input type="text" id="mgo" class="form-control" value="<?php echo (($verDatosAprobacion[0]['credito_analisis_montoSolicitado']* $resultado['gasto_operacion']) / 100); ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group highlight">
                          <label for="montoConGastos">Monto Total</label>
                          <input type="text" id="montoConGastos" class="form-control" value="<?php echo $verDatosAprobacion[0]['credito_analisis_montoTotal']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group highlight">
                          <label for="cuotaMensual">Cuotas Gs.</label>
                          <input type="text" id="cuotaMensual" class="form-control" value="<?php echo $resultado['monto_cuota']; ?>" readonly>
                        </div>
                      </div>
                      <div class="col-md-3">
                        <div class="form-group highlight">
                          <label for="interesMensual">%Interes Mensual</label>
                          <input type="text" id="interesMensual" class="form-control" value="<?php echo $resultado['int_mensual']; ?>" readonly>
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group highlight">
                          <label for="interesTotal">Interes Total</label>
                          <input type="text" id="interesTotal" class="form-control" value="<?php echo $resultado['int_total']; ?>" readonly>
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group highlight">
                          <label for="diasVencimiento">Dias Vencimientos</label>
                          <input type="text" id="diasVencimiento" class="form-control" value="<?php echo $resultado['dias_vencimiento']; ?>" readonly>
                        </div>
                      </div>


                      <div class="col-md-3">
                        <div class="form-group">
                          <label for="diasVencimiento">Número de Crédito</label>
                          <input type="text" id="nro_credito" class="form-control" value="<?php echo $resultado['id']; ?>" readonly>
                        </div>
                      </div>
                    </div>

                    <div class="card">
      <div class="card card-success collapsed-card">
        <div class="card-header bg-success">
          <h3 class="card-title">Detalles Cuotas </h3>
          <div class="card-tools">
                      <button type="button" class="btn btn-tool" data-card-widget="collapse">
                        <i class="fas fa-minus"></i>
                      </button>
                    </div>
        </div>
        <div class="card-body">
                    <div class="table-container">
                      <table class="table table-bordered table-striped">
                        <thead class="thead-light">
                          <tr>
                            <th># Cuota</th>
                            <th>Vencimiento</th>
                            <th>Importe Cuota</th>
                            <th>Amortización</th>
                            <th>Interés</th>
                            <th>SaldoPendiente</th>

                          </tr>
                        </thead>
                        <tbody>
                          <?php
                          foreach ($resultado_det as $row_det) {
                            $total_cuota        = $row_det['cuota'] + $total_cuota;
                            $total_amortizacion = $row_det['amortizacion'] + $total_amortizacion;
                            $interes            = $row_det['interes'] + $interes;
                          ?>
                            <tr>

                              <td>
                                <?php echo $row_det['nro_cuota']; ?>
                              </td>
                              <td>
                                <?php echo $row_det['vencimiento']; ?>
                              </td>
                              <td>
                                <?php echo number_format($row_det['cuota'], 0, '', '.');   ?>
                              </td>
                              <td>
                                <?php echo number_format($row_det['amortizacion'], 0, '', '.');   ?>
                              </td>
                              <td>
                                <?php echo  number_format($row_det['interes'], 0, '', '.');  ?>
                              </td>
                              <td>
                                <?php echo  number_format($row_det['saldo'], 0, '', '.');  ?>
                              </td>

                            </tr>

                          <?php
                          }
                          ?>

                        </tbody>

                        <tfoot>
                          <tr class="total-row">
                            <td colspan="2">Totales</td>
                            <td><?php echo number_format($total_cuota, 0, '', '.'); ?></td>
                            <td><?php echo number_format($total_amortizacion, 0, '', '.'); ?></td>
                            <td><?php echo number_format($interes, 0, '', '.'); ?></td>
                          </tr>
                        </tfoot>


                      </table>
                    </div>
                    </div>
                    </div>


                  </div>

          <div class="card card-success">
            <div class="card-header bg-success">
              <h3 class="card-title">Comentarios Referencias </h3>
                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                  </button>
                </div>
            </div>
            <div class="card-body">
            <?php if (!empty($comentarios)): ?>
                              <ul id="comentarios">
                                  <?php foreach ($comentarios as $comentario): ?>
                                      <li><?php echo htmlspecialchars($comentario['analisis_comentarios_texto']); ?></li>
                                  <?php endforeach; ?>
                              </ul>
                          <?php else: ?>
                              <ul id="comentarios">
                                 
                              </ul>
                          <?php endif; ?>
            </div>
          </div>


  <div class="card card-danger">
            <div class="card-header bg-danger">
              <h3 class="card-title">Analisis Credito </h3>
                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                  </button>
                </div>
            </div>
            <div class="card-body">
            <?php if (!empty($analisis)): ?>
                      <?php foreach ($analisis as $analisi): ?>
                          <?php echo $analisi['credito_analisis_texto']; ?>
                      <?php endforeach; ?>
              <?php endif; ?>
            </div>
          </div>
   
          <div class="text-center mb-3">

<button class="btn btn-success btn-edit" style="padding: 2px 8px;" type="button"
  data-toggle="modal" id='btn_<?php echo $resultado['id']; ?>' onclick="aprobar('<?php echo $resultado['id']; ?>&csrf_token=<?php echo $_SESSION['csrf_token']; ?>')" data-target="#exampleModalLong3">
  <i class="nav-icon fas fa-edit" style="color:white"></i> Gestionar Credito
</button>

</div>
         
       </div>


                  <!-- /.card-footer -->
                </div>
                <!-- /.card -->
              </div>
              <!-- /.col -->
            </div>
            <!-- /.row -->
          </div><!-- /.container-fluid -->
        </section>







      </div>






      <div id="responseMessage"></div>
      <!-- /.card-body -->
      <div class="card-footer">

      </div>
      <!-- /.card-footer-->
    </div>
    <!-- /.card -->

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>

<script>
  // Función para formatear en miles
  function formatearMiles(valor) {
    // Asegura que el valor sea un número y lo formatea en miles con dos decimales
    return parseFloat(valor).toLocaleString('es-ES', {
      minimumFractionDigits: 0,
      maximumFractionDigits: 0
    });
  }

  // Ejemplo de uso
  document.getElementById('montoSolicitado').value = formatearMiles(document.getElementById('montoSolicitado').value);
  document.getElementById('montoConGastos').value = formatearMiles(document.getElementById('montoConGastos').value);
  document.getElementById('cuotaMensual').value = formatearMiles(document.getElementById('cuotaMensual').value);
  document.getElementById('interesTotal').value = formatearMiles(document.getElementById('interesTotal').value);

  document.getElementById('mga').value = formatearMiles(document.getElementById('mga').value);
  document.getElementById('msc').value = formatearMiles(document.getElementById('msc').value);
  document.getElementById('mgo').value = formatearMiles(document.getElementById('mgo').value);



  var id = "";

function aprobar(id) {
  var url = "funciones/aprobar_credito.php?id=" + id;
  $.get(url, function(data) {
    $(".modal-body").html(data);
  });
}

function aprobarCredito() {
    // Capturar los valores de los inputs
    var estado = $('#estado').val();
    var actanro = $('#actanro').val();
    var observacion = $('#observacion').val();
    var idCredito = $('#id_credito').val(); // Asegúrate de que el campo con id="id_credito" exista

    // Comprobar que todos los campos están llenos
    if (estado == "" || actanro == "" || observacion == "") {
        alert("Todos los campos son obligatorios.");
        return; // Detener la ejecución si hay campos vacíos
    }

    // Realizar la solicitud AJAX si todos los campos están llenos
    $.ajax({
        url: 'funciones/aprobarSolicitudCredito.php', // URL del servidor donde enviar los datos
        type: 'POST',
        data: {
          actanro: actanro,
          id_credito: idCredito,
          observacion: observacion,
          estado: estado
          },
        success: function(response) {
            var obj = jQuery.parseJSON(response);
            var retorno = obj.message;

            // Mostrar notificación de éxito
            myNotify = new Notify({
                status: 'success', // Cambio de 'warning' a 'success'
                title: 'Aprobado con exito',
                text: 'El credito paso a aprobado',
                effect: 'slide',
                type: 'filled',
                position: 'right bottom'
            });
            
// Hardcodear las rutas de los archivos PDF
var archivos = [
    'https://cbgweb.ddns.net/qpro-main/archivos/pdfs/Documentos generados por caja-2.pdf',  // Ruta al segundo archivo PDF
    'https://cbgweb.ddns.net/qpro-main/archivos/pdfs/Orden de pago-3.pdf'   // Ruta al tercer archivo PDF
];

// Descargar los 2 archivos PDF (no se descargará el primero hasta que se genere)
archivos.forEach(function(fileUrl) {
    var a = document.createElement('a');
    a.href = fileUrl;
    a.download = fileUrl.split('/').pop(); // Extraer el nombre del archivo
    document.body.appendChild(a);
    a.click();
    document.body.removeChild(a);
});

// Llamada para generar el primer archivo PDF
generarPDFAprobacionCredito(idCredito, function(pdfUrl) {
    if (pdfUrl) {
        // Descargar el primer archivo PDF generado
        var a = document.createElement('a');
        a.href = pdfUrl;
        a.download = 'AprobacionCredito.pdf'; // Asigna un nombre de archivo
        document.body.appendChild(a);
        a.click();
        document.body.removeChild(a);
    }
});

                  // Redirigir después de 2 segundos
              setTimeout(function() {
                  window.location.href = 'aprobar_credito.php'; // Redirige después de 2 segundos
              }, 2000); // 2000 milisegundos = 2 segundos

        },
        error: function(xhr, status, error) {
            $('#responseMessage').html('<p>Error al guardar los datos</p>');
            console.error('Error al guardar los datos:', error);
        }
    });
}
function generarPDFAprobacionCredito(solicitudId) {
  $.ajax({
    url: 'reportes/generarLiquidacionCredito.php', // Cambia esto por la ruta de tu archivo PHP
    method: 'POST',
    data: {
      id_solicitud: solicitudId // Envía el ID de la solicitud o cualquier otro parámetro necesario
    },
    success: function(response) {
      console.log(response.ack);
      if (Number(response.ack) === 0) {
        // Convierte el contenido base64 en un Blob para generar el archivo
        var byteCharacters = atob(response.pdfContent); // Decodifica el base64
        var byteArrays = [];

        // Convierte cada byte en un array de bytes
        for (var offset = 0; offset < byteCharacters.length; offset++) {
          byteArrays.push(byteCharacters.charCodeAt(offset));
        }
        var blob = new Blob([new Uint8Array(byteArrays)], { type: 'application/pdf' });
        // Crea un enlace para abrir el archivo PDF en una nueva pestaña
        var pdfUrl = URL.createObjectURL(blob);
        window.open(pdfUrl, '_blank'); // Abre el PDF en una nueva pestaña
      } else {
        alert('Error al generar el PDF');
      }
    },
    error: function(xhr, status, error) {
      alert('Hubo un error al generar el PDF');
    }
  });
}
</script>



<div class="modal fade" id="exampleModalLong3" tabindex="5" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Acción</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="mdialTamanio">
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
          <!-- <button type="button" class="btn btn-primary">Save changes</button>-->
        </div>
      </div>
    </div>
  </div>
</div>