<?php
require_once('../../joajurehegua.php');
require_once('funciones.php');

$actanro = $_POST['actanro']; // tabla objetivo (departamentos, distritos, etc.)
$estado	 = $_POST['estado']; // id de la tabla anterior (pais, departamento, etc.)
$id_credito = $_POST['id_credito']; // nombre del campo de relación (id_pais, id_departamento, etc.)
$observacion = $_POST['observacion']; // nombre del campo de relación (id_pais, id_departamento, etc.)


$sql = "UPDATE creditos SET  estado        = :estado,
                              fecha_estado   = :fecha_estado,
                              hora_estado    = :hora_estado,
                              usuario_estado = :usuario_estado,
                              actanro        = :actanro,
                              observacion    = :observacion
                                 WHERE id    = :id_credito";


  try {

    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
      ':estado'          => $_POST['estado'],
      ':fecha_estado'    => date("Y-m-d"),
      ':hora_estado'     => date("H:i:s"),
      ':usuario_estado'  => $_SESSION['id_usuario'],
      ':actanro'         => $actanro,
      ':observacion'     => $observacion,
      ':id_credito'      => $id_credito
    ));

    /*generar aporte solo si se aprobo como socio */
    // generar_ctacte_aprobacion($conn,  $id_credito); //Todos las funciones para generar las cabeceras y transacciones para pagos migramos a funciones

    echo json_encode(['estado' => 1, 'message' => 'Análisis guardado con éxito']);
  } catch (PDOException $Exception) {
    echo json_encode(['estado' => 2, 'message' => 'Error en la base de datos: ' . $e->getMessage()]);
  }