<?php
require_once('../../joajurehegua.php');

$tabla = $_POST['tabla']; // tabla objetivo (departamentos, distritos, etc.)
$id_padre = $_POST['id_padre']; // id de la tabla anterior (pais, departamento, etc.)
$campo_relacion = $_POST['campo_relacion']; // nombre del campo de relación (id_pais, id_departamento, etc.)

$query = "SELECT id_$tabla, nombre FROM $tabla WHERE $campo_relacion = ?";
$stmt = $conexion->prepare($query);
$stmt->bind_param("i", $id_padre);
$stmt->execute();
$result = $stmt->get_result();

$datos = [];
while ($row = $result->fetch_assoc()) {
    $datos[] = $row;
}

echo json_encode($datos);