<?php
require_once('../../joajurehegua.php');
require_once('obtenerNroDocumento.php');
require_once('guardarDatosContables.php');




   // Leer los datos enviados por el cliente
   $data = json_decode(file_get_contents("php://input"), true);


if (isset($data['socio_nro'], $data['concepto'], $data['monto'])) {
  $socioNro = $data['socio_nro'];
  $concepto = $data['concepto'];
  $monto    = $data['monto'];


  $sql = "SELECT  * from clientes where nro_socio = :nro_socio ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':nro_socio' =>  $socioNro));
  $resultado_socio = $stmt->fetch();

  generar_ctacte($conn, $socioNro, $resultado_socio['id_cliente'], $concepto, $monto );
}else{

  echo json_encode(array(
    "message" => "No hay datos",
    "ack"     => 1
));

}



function generar_ctacte($conn, $nro_socio, $id_cliente, $concepto, $monto)
{


  $sql = "SELECT  a.*
   from clase_documento as a  
   where codigo = :codigo 
    ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(
    ':codigo'        =>  $concepto

  ));

  $resultado = $stmt->fetchAll();
   
  $moneda = 'PYG';

  foreach ($resultado as $row) {

    $nro_documento = "";
    $nro_documento = generarGrupoId($conn); // Función para generar un ID de agrupación
    // Mostrar las cuentas generadas con fecha de vencimiento
    // tabla contable
    $referencia = null;
    guardar_tabla_contable_cab($conn, $nro_documento, $id_cliente, $nro_socio, $monto, $concepto, $referencia);
    $clave_contabilizacion = 8;
   
    $impuesto   = 10;
    $id_cuenta_mayor  = $row['id_cuenta_mayor'];
    $indicador_d_h   = $row['indicador'];
    $total_aporte = 0;
    $posicion_h  = 0;
    $id_cuenta_mayor_h  = $row['id_cuenta_mayor_h'];
    $indicador_h  = $row['indicador_h'];
   // foreach ($cuentas as $cuenta) {
      if ($row['clase'] == 'AP') {
        $total_aporte += $row['importe'];
        $posicion_h++;
      }
      $sql = $conn->prepare('INSERT INTO cuenta_corriente (nro_documento, id_empresa, id_cliente, nro_socio, factura, clase_documento, cuota, posicion, fecha, hora, id_usuario, clave_contabilizacion, 
       indicador_d_h, texto_posicion, moneda, importe, impuesto, id_cuenta_mayor, estado, vencimiento, referencia_documento) VALUES (:nro_documento, :id_empresa, :id_cliente, :nro_socio, :factura, :clase_documento, :cuota, 
       :posicion, :fecha, :hora, :id_usuario, :clave_contabilizacion, :indicador_d_h, :texto_posicion, :moneda, :importe, :impuesto, :id_cuenta_mayor, :estado, :vencimiento, :referencia_documento )');

      $bind =  array(
        ':nro_documento'         => $nro_documento,
        ':id_empresa'            => $_SESSION['id_empresa'],
        ':nro_socio'             => $nro_socio,
        ':id_cliente'            => $id_cliente,
        ':factura'               => '',
        ':clase_documento'       => $concepto,
        ':cuota'                 => '1/1',
        ':posicion'              => 1,
        ':fecha'                 => date("Y-m-d"),
        ':hora'                  => date("H:i:s"),
        ':id_usuario'            => $_SESSION['id_usuario'],
        ':clave_contabilizacion' => $clave_contabilizacion,
        ':indicador_d_h'         => $indicador_d_h,
        ':texto_posicion'        => $row['nombre'],
        ':moneda'                => $moneda,
        ':importe'               => $monto,
        ':impuesto'              => $impuesto,
        ':id_cuenta_mayor'       => $id_cuenta_mayor,
        ':estado'                => 0,
        ':vencimiento'           => date("Y-m-d"),
        ':referencia_documento'  => $nro_documento,

      );




      try {
        $sql->execute($bind);
        //  $solicitud_id = $conn->lastInsertId();

        echo json_encode(array(
          "message" => "Datos guardados con éxito",
          "ack"     => 0
      ));

        //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
        // conjuge($data, $conn, $solicitud_id);
        // echo json_encode(array("message" => "Datos guardados con exito"));

        guardar_tabla_contable_det($conn,$nro_documento,1, $clave_contabilizacion, $id_cliente, $nro_socio, $referencia, 1, $concepto, $indicador_d_h, $row['nombre'], $moneda,  $monto, null, $impuesto, $id_cuenta_mayor, null, null, null, null);
      } catch (PDOException $Exception) {
       // error_log('Error insertando: ' . json_encode($Exception));
        //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
       // var_dump($Exception);
      //  exit();
         echo json_encode(array("ack"     => 1,  
                                       "message" => "Error al guardar los datos: " . $Exception));
      }

  }
}



















