<?php
//include("plantilla_cabecera.php");
require_once('../../joajurehegua.php');




function guardar_tabla_contable_cab(PDO $conn,  $nro_documento, $id_cliente, $nro_socio, $importe, $clase_documento, $referencia) {
  $conn->beginTransaction();

  try {
      // Bloquear la fila de la secuencia
    
      $sql = $conn->prepare('INSERT INTO cabecera_contable (
        id_empresa,
        nro_documento,
        id_cliente,
        nro_socio,
        importe,
        fecha_doc,
        ejercicio,
        clase_documento,
        referencia,
        fecha,
        hora,
        id_usuario

        ) VALUES (

        :id_empresa,
        :nro_documento,
        :id_cliente,
        :nro_socio,
        :importe,
        :fecha_doc,
        :ejercicio,
        :clase_documento,
        :referencia,
        :fecha,
        :hora,
        :id_usuario
        
         )');
        
          $bind =  array(
        
            ':id_empresa'            => $_SESSION['id_empresa'],
            ':nro_documento'         => $nro_documento,
            ':id_cliente'            => $id_cliente,
            ':nro_socio'             => $nro_socio,
            ':importe'               => $importe,
            ':fecha_doc'             => date("Y-m-d"),
            ':ejercicio'             => date("Y"),
            ':clase_documento'       => $clase_documento,
            ':referencia'            => $referencia,
        
            ':fecha'                 => date("Y-m-d"),
            ':hora'                  => date("H:i:s"),
        
            ':id_usuario'            => $_SESSION['id_usuario'],
        
        
          );
        
        
        
        
          try {
            $sql->execute($bind);
            //  $solicitud_id = $conn->lastInsertId();
            //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
            // conjuge($data, $conn, $solicitud_id);
            // echo json_encode(array("message" => "Datos guardados con exito"));
          } catch (PDOException $Exception) {
            error_log('Error insertando: ' . json_encode($Exception));
            //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
            var_dump($Exception);
            exit();
            // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
          }
     




      $conn->commit();
    //  return $nro_documento;
  } catch (Exception $e) {
      $conn->rollBack();
      throw $e;
  }
}






function guardar_tabla_contable_det(PDO $conn,$nro_documento,$posicion,$clave_contabilizacion,$id_cliente,
$nro_socio,$referencia,$cuota,$clase_documento,$indicador_d_h,$texto_posicion,$moneda,$importe,$interes,
$impuesto,$id_cuenta_mayor,$indicador_cme,$nro_compensacion,$fecha_compensacion,$hora_compensacion) {
 
 
  $conn->beginTransaction();

  try {
      // Bloquear la fila de la secuencia
    
      $sql = $conn->prepare('INSERT INTO detalles_contable (

      id_empresa,
      nro_documento,
      posicion,
      clave_contabilizacion,
      fecha,
      hora,
      id_cliente,
      nro_socio,
      referencia,
      cuota,
      clase_documento,
      indicador_d_h,
      texto_posicion,
      moneda,
      importe,
      interes,
      impuesto,
      id_cuenta_mayor,
      indicador_cme,
      nro_compensacion,
      fecha_compensacion,
      hora_compensacion,
      id_usuario
      
      
      ) VALUES (
      :id_empresa,
      :nro_documento,
      :posicion,
      :clave_contabilizacion,
      :fecha,
      :hora,
      :id_cliente,
      :nro_socio,
      :referencia,
      :cuota,
      :clase_documento,
      :indicador_d_h,
      :texto_posicion,
      :moneda,
      :importe,
      :interes,
      :impuesto,
      :id_cuenta_mayor,
      :indicador_cme,
      :nro_compensacion,
      :fecha_compensacion,
      :hora_compensacion,
      :id_usuario
      
       )');
      
        $bind =  array(
      
          ':id_empresa'            => $_SESSION['id_empresa'],
          ':nro_documento'         => $nro_documento,
          ':posicion'              => $posicion,
          ':clave_contabilizacion' => $clave_contabilizacion,
          ':fecha'                 => date("Y-m-d"),
          ':hora'                  => date("H:i:s"),
          ':id_cliente'            => $id_cliente,
          ':nro_socio'             => $nro_socio,
          ':referencia'            => $referencia,
          ':cuota'                 => $cuota,
          ':clase_documento'       => $clase_documento,
          ':indicador_d_h'         => $indicador_d_h,
          ':texto_posicion'        => $texto_posicion,
          ':moneda'                => $moneda,
          ':importe'               => $importe,
          ':interes'               => $interes,
          ':impuesto'              => $impuesto,
          ':id_cuenta_mayor'       => $id_cuenta_mayor,
          ':indicador_cme'         => $indicador_cme,
          ':nro_compensacion'      => $nro_compensacion,
          ':fecha_compensacion'    => $fecha_compensacion,
          ':hora_compensacion'     => $hora_compensacion,
          ':id_usuario'            => $_SESSION['id_usuario']
      
      
        );
      
      
      
      
        try {
          $sql->execute($bind);
          //  $solicitud_id = $conn->lastInsertId();
          //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
          // conjuge($data, $conn, $solicitud_id);
          // echo json_encode(array("message" => "Datos guardados con exito"));
        } catch (PDOException $Exception) {
          error_log('Error insertando: ' . json_encode($Exception));
          //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
          var_dump($Exception);
          exit();
          // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
        }




      $conn->commit();
    //  return $nro_documento;
  } catch (Exception $e) {
      $conn->rollBack();
      throw $e;
  }
}



