<?php
//include("plantilla_cabecera.php");
require_once('../../joajurehegua.php');




function generarGrupoId(PDO $conn) {
  $conn->beginTransaction();

  try {
      // Bloquear la fila de la secuencia
      $sql = $conn->prepare('INSERT INTO nro_documento_aux (fecha) VALUES(:fecha)');
      $bind =  array(':fecha' => date("Y-m-d"));
      try {
        $sql->execute($bind);
        $nro_documento = $conn->lastInsertId();
      } catch (PDOException $Exception) {
        error_log('Error insertando: ' . json_encode($Exception));
      }
     
      $conn->commit();

      return $nro_documento;
  } catch (Exception $e) {
      $conn->rollBack();
      throw $e;
  }
}
