<?php
require_once('../../joajurehegua.php');

$data = json_decode(file_get_contents("php://input"), true);

switch ($data['tipo']) {
  case "modificar_cliente":
    $id             =  htmlspecialchars($data['id$id']);
    $primer_nombre  =  htmlspecialchars($data['primer_nombre']);
    $primer_apellido =  htmlspecialchars($data['primer_apellido']);
    $direccion      =  htmlspecialchars($data['direccion']);


    // cerramos la rendicion
    $sql = "UPDATE clientes SET   primer_nombre    = :primer_nombre,
                                  primer_apellido  = :primer_apellido,
                                  direccion        = :direccion              
WHERE   id    = :id";


    try {

      $stmt = $conn->prepare($sql);
      $stmt->execute(array(
        ':primer_nombre'     => $primer_nombre,
        ':primer_apellido'   => $primer_apellido,
        ':direccion'         => $direccion,
        ':id'                => $id
      ));
     // guardar_saldo_cerrar($conn, $resultado['nro_rendicion'], $nro_caja);
      echo json_encode(array("message" => "Socio Modificado"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
    }


    break;

  case "cerrar_caja":
/*
    ':fecha_cierre'      => date("Y-m-d"),
    ':hora_cierre'       => date("H:i:s"),
    ':id_usuario_cierre' => $_SESSION['id_usuario'],
    ':id'                => $resultado['id']*/
    break;
}
