<?php

require_once('../joajurehegua.php');

if (!validateCsrfToken()) {
  echo "<center>Error: Token CSRF inválido</center>";
  echo '<h2><center><a href="../login.php">Login...</a></center></h2>';
  exit();
}

if (!empty($_GET['id'])) {
  $id = $_GET['id'];
  $sql = "SELECT  a.*
from departamento as a

where a.id = :id ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id));
  $resultado = $stmt->fetch();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="row">
  <!-- Content Header (Page header) -->


  <!-- Main content -->
  <div class="container-fluid">





    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Modificar</h3>
      </div>
      <!-- /.card-header -->
      <!-- form start -->
      <form action="<?php echo basename(__FILE__); ?>" method="post" enctype="multipart/form-data">
      <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">
        <div class="card-body">


          <div class="form-group">
            <label for="id">ID </label>
            <input type="text" class="form-control form-control-sm" id="id" name="id" value="<?php echo $resultado['id']; ?>" readonly>
          </div>

          <div class="form-group">
            <label for="codigo">Codigo Departamento</label>
            <input type="text" class="form-control form-control-sm" id="codigo" name="codigo" value="<?php echo $resultado['codigo']; ?>">
          </div>


          <div class="form-group">
            <label for="nombre">Nombre </label>
            <input type="text" class="form-control form-control-sm" id="nombre" name="nombre" value="<?php echo $resultado['nombre']; ?>" >
          </div>

          
       
                    <div class="form-group">
                      <label for="id_pais">Pais</label>
                      <select type="text" name="id_pais" id="id_pais" class="form-control needValidate">
                        <option value="<?php echo $resultado['id_pais']; ?>">Seleccione</option>
                        <?php
                        $sql_pa = "SELECT  * from pais where estado = 1  order by nombre ASC ";
                        $stmt = $conn->prepare($sql_pa);
                        $stmt->execute();
                        $resultado_pa = $stmt->fetchAll();
                        foreach ($resultado_pa as $row_pa) {
                          echo "<option value=" . $row_pa['id'] . ">" . $row_pa['nombre'] . "</option>";
                        }
                        ?>

                      </select>
                    </div>
                 



          <div class="form-group">
            <label for="estado">Estado</label>
            <select type="text" name="estado" id="estado" class="form-control">
              <option value="<?php echo $resultado['estado']; ?>">Seleccione</option>
              <?php
              $sql_es = "SELECT  * from estado   order by id ASC ";
              $stmt = $conn->prepare($sql_es);
              $stmt->execute();
              $resultado_es = $stmt->fetchAll();
              foreach ($resultado_es as $row_es) {
                echo "<option value=" . $row_es['id'] . ">" . $row_es['nombre'] . "</option>";
              }
              ?>

            </select>

          </div>






        </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" name="guardar" class="btn btn-primary">Guardar</button>
        </div>
      </form>
    </div>








  </div>
  <!-- /.content -->
</div>


<?php
if (isset($_POST['guardar'])) {

  $sql = "UPDATE departamento SET   nombre     = :nombre,
                                    estado     = :estado,
                                    codigo     = :codigo,
                                    id_pais     = :id_pais
                                                                        
                                 WHERE id    = :id";


  try {

    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
                        ':nombre'  => $_POST['nombre'],
                        ':estado'  => $_POST['estado'],
                        ':codigo'  => $_POST['codigo'],
                        ':id_pais'  => $_POST['id_pais'],
                        ':id'      => $_POST['id']
    ));


    //echo "Datos Modificado";
    //echo '<script language="javascript">alert("Modificado");window.location.href="../../login.php"</script>';
    echo '<script language="javascript">window.location.href="reporte_departamento.php"</script>';
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));

    var_dump($Exception);

    exit();
    //echo '<script language="javascript">alert("No se pudo Modificar");window.location.href="reporte_tipo_contacto.php"</script>';
    //echo '<script language="javascript">alert("No se pudo Actualizar");window.location.href="?n=1"</script>';
  }
}

?>