<?php

require_once('../joajurehegua.php');

  if (!validateCsrfToken()) {
      echo "<center>Error: Token CSRF inválido</center>";
      echo '<h2><center><a href="../login.php">Login...</a></center></h2>';
      exit();
  }

if (!empty($_GET['id'])) {
  $id = $_GET['id'];
  $sql = "SELECT  a.*, b.nombre_empresa
from usuarios as a
inner join empresas as b
on a.id_empresa = b.id
where a.id = :id ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id));
  $resultado = $stmt->fetch();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="row">
  <!-- Content Header (Page header) -->


  <!-- Main content -->
  <div class="container-fluid">





    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Modificar</h3>
      </div>
     
      <form action="<?php echo basename(__FILE__); ?>" method="post" enctype="multipart/form-data">
      <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">

      <div class="card-body">

          <div class="form-group">
            <label for="id">ID </label>
            <input type="text" class="form-control form-control-sm" id="id" name="id" value="<?php echo $resultado['id']; ?>" readonly>
          </div>

          <div class="form-group">
            <label for="nombres">Nombres</label>
            <input type="text" class="form-control form-control-sm" id="nombres" name="nombres" value="<?php echo $resultado['nombres']; ?>">
          </div>

          <div class="form-group">
            <label for="apellidos">Apellido</label>
            <input type="text" class="form-control form-control-sm" id="apellidos" name="apellidos" value="<?php echo $resultado['apellidos']; ?>">
          </div>

          <div class="form-group">
            <label for="empresa">Empresa </label>
            <input type="text" class="form-control form-control-sm" id="empresa" name="empresa" value="<?php echo $resultado['nombre_empresa']; ?>" readonly>
          </div>


          <div class="form-group">
            <label for="id_rol">Rol</label>
            <select type="text" name="id_rol" id="id_rol" class="form-control">
              <option value="<?php echo $resultado['id_rol']; ?>">Seleccione</option>
              <?php
              $sql_es = "SELECT  * from rol where estado = 1   order by id ASC ";
              $stmt = $conn->prepare($sql_es);
              $stmt->execute();
              $resultado_es = $stmt->fetchAll();
              foreach ($resultado_es as $row_es) {
                echo "<option value=" . $row_es['id'] . ">" . $row_es['nombre'] . "</option>";
              }
              ?>

            </select>

          </div>


          <div class="form-group">
                <label for="id_sucursal">Sucursal</label>
                <select type="text" name="id_sucursal" id="id_sucursal" class="form-control form-control-sm needValidate">
                  <option value="<?php echo $resultado['id_sucursal']; ?>">Seleccione</option>
                  <?php
                  $sql_emp = "SELECT  * from sucursal   order by id ASC ";
                  $stmt = $conn->prepare($sql_emp);
                  $stmt->execute();
                  $resultado_emp = $stmt->fetchAll();
                  foreach ($resultado_emp as $row_emp) {
                    echo "<option value=" . $row_emp['id'] . ">" . $row_emp['id'] . "-" . $row_emp['nombre_sucursal'] . "</option>";
                  }
                  ?>
                </select>
              </div>





          <div class="form-group">
            <label for="estado">Estado</label>
            <select type="text" name="estado" id="estado" class="form-control">
              <option value="<?php echo $resultado['estado']; ?>">Seleccione</option>
              <?php
              $sql_es = "SELECT  * from estado   order by id ASC ";
              $stmt = $conn->prepare($sql_es);
              $stmt->execute();
              $resultado_es = $stmt->fetchAll();
              foreach ($resultado_es as $row_es) {
                echo "<option value=" . $row_es['id'] . ">" . $row_es['nombre'] . "</option>";
              }
              ?>

            </select>

          </div>






        </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" name="guardar" class="btn btn-primary">Guardar</button>
        </div>
      </form>
    </div>








  </div>
  <!-- /.content -->
</div>


<?php
if (isset($_POST['guardar'])) {

  $sql = "UPDATE usuarios SET  nombres    = :nombres,
                                    apellidos  = :apellidos,
                                    estado     = :estado,
                                    id_rol  = :id_rol,
                                    id_sucursal  = :id_sucursal
                                                                        
                                 WHERE id    = :id";


  try {

    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
                        ':nombres'   => $_POST['nombres'],
                        ':apellidos' => $_POST['apellidos'],
                        ':estado'    => $_POST['estado'],
                        ':id_rol'    => $_POST['id_rol'],
                        ':id'        => $_POST['id'],
                        ':id_sucursal'        => $_POST['id_sucursal']
    ));


    //echo "Datos Modificado";
    //echo '<script language="javascript">alert("Modificado");window.location.href="../../login.php"</script>';
    echo '<script language="javascript">window.location.href="reporte_usuarios.php"</script>';
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));

    var_dump($Exception);

    exit();
    //echo '<script language="javascript">alert("No se pudo Modificar");window.location.href="reporte_tipo_contacto.php"</script>';
    //echo '<script language="javascript">alert("No se pudo Actualizar");window.location.href="?n=1"</script>';
  }
}





?>