<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Nueva Cuenta de Ahorro";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.php'>Login</a> </center></h2>";
  exit();
}
?>



<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">

    <!-- Default box -->
    <div class="card">
    



      <div class="card card-warning ">
        <div class="card-header">
          <h3 class="card-title">Nuevo</h3>
        </div>
        <!-- /.card-header -->
        <!-- form start -->
        <form>
          <div class="card-body">

            <div class="row">

       
              <div class="col-md-3">
                    <div class="form-group">
                      <label for="socio_cedula">Cédula</label>
                      <input type="number" class="form-control needValidate" id="socio_cedula" name="socio_cedula" placeholder="Ingrese CI"
                        value="" onblur="traerDatosSocios(this.id)">
                    </div>
                  </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="nombre">Nombre</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="nombre" name="nombre"  readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="apellido">Apellido</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="apellido" name="apellido" readonly>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="nro_socio">Socio Nro</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="nro_socio" name="nro_socio" readonly>
                </div>
              </div>


              </div>
              <div class="row">

              <div class="col-md-3">
                <div class="form-group">
                  <label for="id_cliente">IDCliente</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="id_cliente" name="id_cliente" readonly>
                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="id_tipo_ahorro">Tipo de Cuenta</label>
                  <select type="text" name="id_tipo_ahorro" id="id_tipo_ahorro" class="form-control needValidate">
                    <option value="<?php echo $resultado['id_tipo_ahorro']; ?>">Seleccione</option>
                    <?php
                    $sql_pa = "SELECT  * from tipo_cuenta_ahorro where estado = 1  ";
                    $stmt = $conn->prepare($sql_pa);
                    $stmt->execute();
                    $resultado_pa = $stmt->fetchAll();
                    foreach ($resultado_pa as $row_pa) {
                      echo "<option value=" . $row_pa['id'] . ">" . $row_pa['nombre'] . "</option>";
                    }
                    ?>
                  </select>
                </div>
              </div>


              <div class="col-md-3">
                <div class="form-group">
                  <label for="saldo_inicial">Saldo inicial</label>
                  <input type="text" class="form-control form-control-sm needValidate" id="saldo_inicial" name="saldo_inicial" oninput="formatImporte(this)";>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label for="interes">Tasa Interés Anual(%)</label>
                  <input type="number" class="form-control form-control-sm needValidate" id="interes" name="interes">
                </div>
              </div>





            </div>
          </div>
          <!-- /.card-body -->

          <div class="card-footer">
            <!--
                  <button type="submit" class="btn btn-primary">Guardar</button>
                   -->
            <button type="button" class="btn btn-primary" onclick="guardar()" data-dismiss="modal">Agregar</button>
          </div>
        </form>
      </div>






      <div id="responseMessage"></div>
      <!-- /.card-body -->
      <div class="card-footer">

      </div>
      <!-- /.card-footer-->
    </div>
    <!-- /.card -->

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>


<script>
  // Función para validar que los campos no estén vacíos
  function validarCampos() {
    // Variable para verificar si todos los campos son válidos
    let valid = true;

    // Selecciona todos los campos que necesitan validación (con clase 'needValidate')
    const campos = document.querySelectorAll('.needValidate');

    // Recorre cada campo y añade un listener para quitar el error al enfocarlo
    campos.forEach(function(input) {
      input.addEventListener('focus', function() {
        if (this.classList.contains('is-invalid')) {
          this.classList.remove('is-invalid'); // Quitar clase de error al hacer focus
        }
      });
    });

    // Recorre cada campo y verifica si está vacío
    campos.forEach(function(campo) {
      if (campo.value.trim() === "") {
        campo.classList.add('is-invalid'); // Añadir clase para marcar en rojo
        valid = false; // Marcar que hay un error
      } else {
        campo.classList.remove('is-invalid'); // Quitar clase si no está vacío
      }
    });

    // Si hay campos vacíos, mostrar una notificación
    if (!valid) {
      new Notify({
        status: 'warning',
        title: 'Completar todos los datos',
        text: 'Debe ingresar todos los campos obligatorios',
        effect: 'slide',
        type: 'filled',
        position: 'right bottom'
      });
      return false; // Detener la ejecución si hay campos vacíos
    }

    // Si no hay errores, retorna true
    return true;
  }


  function guardar() {


    if (!validarCampos()) {
      return; // Si la validación falla, detener la ejecución
    }


    const nro_socio = $('#nro_socio').val();
    const id_cliente = $('#id_cliente').val();
    const id_tipo_ahorro = $('#id_tipo_ahorro').val();
    const interes = $('#interes').val();
    const saldo_inicial = $('#saldo_inicial').val();
   
    //const codigo = $('#codigo').val();





    //console.log(codigo);

    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'funciones/postData.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: JSON.stringify({
        tipo: 'nueva_cuenta_ahorro',
        nro_socio: nro_socio,
        id_cliente: id_cliente,
        id_tipo_ahorro: id_tipo_ahorro,
        interes: interes,
        saldo_inicial: saldo_inicial
      }),
      // data: {tipo: "empleado", id: doc}
      contentType: 'application/json',
      success: function(response) {
        var obj = jQuery.parseJSON(response);
        var retorno = obj.message;


        myNotify = new Notify({
          status: 'warning',
          title: 'Retorno',
          text: retorno,
          effect: 'slide',
          type: 'filled',
          position: 'right bottom'
        })
        // Redirige a la  página
        //window.location.href = "reporte_pais.php"; 

        //  $('#responseMessage').html('<p>Datos guardado</p>');
        //  console.log('Datos guardados con éxito:', response);


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al guardar los datos</p>');
        console.error('Error al guardar los datos:', error);
      }
    });





  }


  function traerDatosSocios() {

const socio_cedula = $('#socio_cedula').val();
//console.log(socio_cedula);

// Enviar los datos al servidor usando AJAX
$.ajax({
  url: 'funciones/getData.php', // URL del servidor donde enviar los datos
  type: 'POST',
  data: JSON.stringify({
    tipo: 'datos_socios',
    socio_cedula: socio_cedula

  }),
  contentType: 'application/json',
  success: function(response) {

    var obj = jQuery.parseJSON(response);
    console.log(obj);
    //$("#nombre_socio").val(obj.primer_nombre);

    if (obj[0].ack === 0) {
      $("#nombre").val(obj[0].primer_nombre + "  " + obj[0].segundo_nombre);
      $("#apellido").val(obj[0].primer_apellido + "  " + obj[0].segundo_apellido);
      $("#nro_socio").val(obj[0].socio_nro);
      $("#id_cliente").val(obj[0].id_cliente);
     // $("#socio_celular").val(obj[0].socio_celular);
      //$('input[name="id_socio"]').val(obj[0].socio_nro);


    } else {

      myNotify = new Notify({
        status: 'warning',
        title: 'Error,  Socio No existe',
        text: 'Por favor, verificar si el nro de cédula si es la correcta.',
        effect: 'slide',
        type: 'filled',
        position: 'right bottom'
      })

      $("#nombre").val("");
      $("#apellido").val("");
      $("#nro_socio").val("");

    }

    // $('#responseMessage').html('<p>Datos guardado</p>');
    // console.log('Datos guardados con éxito:', response);


  },
  error: function(xhr, status, error) {
    $('#responseMessage').html('<p>Error al guardar los datos</p>');
    console.error('Error al guardar los datos:', error);
  }
});


}


function formatImporte(input) {
    // Eliminar caracteres no numéricos
    let value = input.value.replace(/\D/g, '');

    // Formatear el número con separador de miles
    if (value) {
      value = Number(value).toLocaleString('es-ES', {
        minimumFractionDigits: 0,
        maximumFractionDigits: 0
      });
    }

    // Asignar el valor formateado al input
    input.value = value;
  }

</script>