<?php
require_once('../joajurehegua.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Reporte Asientos Contables Detalles";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}

if (!validateCsrfToken()) {
  echo "<center>Error: Token CSRF inválido</center>";
  echo '<h2><center><a href="../login.html">Login...</a></center></h2>';
  exit();
}
?>




<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">


    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Reporte Asientos Contables Detalles</h3>



      </div>
      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>Posición</th>

              <th>Cuenta</th>
              <th>Nombre Cuenta</th>
              <th>Debe</th>
              <th>Haber</th>
             

              <th>Concepto</th>
              
              <th>Fecha</th>
              


              


            </tr>
          </thead>
          <tbody>
            <?php

                    $nro_documento  = $_GET['nro_documento'];
            $sql = "SELECT  a.*, b.nombre, b.codigo
                    FROM detalles_contable as a
                    inner join cuenta_incoop as b
                    on a.id_cuenta_mayor = b.id
                    where a.nro_documento = :nro_documento
                    
                    ";
            $stmt = $conn->prepare($sql);
            $stmt->execute(array(':nro_documento' => $nro_documento ));
            $resultado = $stmt->fetchAll();
            $debe  = 0;
            $haber = 0;
            foreach ($resultado as $row) {
if($row['indicador_d_h'] == 'D'){
$debe = $row['importe'];
}else{
  $haber = $row['importe'];
}

            ?>


              <tr>

                <td>
                  <?php echo $row['posicion']; ?>
                </td>

                <td>
                  <?php echo $row['codigo']; ?>
                </td>

                <td>
                  <?php echo $row['nombre']; ?>
                </td>

                <td>
                  <?php 
                  if($row['indicador_d_h'] == 'D'){
                  echo number_format($debe, 0, '', '.'); 
                  } 
                  ?>
                </td>

                <td>
                  <?php 
                  if($row['indicador_d_h'] == 'H'){
                  echo number_format($haber, 0, '', '.'); 
                }
                   ?>
                </td>

              

                <td>
                  <?php echo $row['texto_posicion']; ?>
                </td>

               
              

                <td>
                  <?php echo $row['fecha']; ?>
                </td>
               






              






              </tr>

            <?php
            }
            ?>

          </tbody>
          <tfoot>
            <tr>
            <th>Posición</th>

<th>Cuenta</th>
<th>Nombre Cuenta</th>
<th>Debe</th>
              <th>Haber</th>


<th>Concepto</th>

<th>Fecha</th>






            </tr>
          </tfoot>
        </table>
      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],

      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });





  var id = "";

  function editar(id) {
    var url = "modificar_rol.php?id=" + id;
    $.get(url, function(data) {
      $(".modal-body").html(data);
    });
  }
</script>

<div class="modal fade" id="exampleModalLong3" tabindex="5" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Modificar</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="mdialTamanio">
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
          <!-- <button type="button" class="btn btn-primary">Save changes</button>-->
        </div>
      </div>
    </div>
  </div>
</div>