<?php
require_once('../joajurehegua.php');
if (in_array(basename( __FILE__ ), $_SESSION['recursos'])) {
$titulo_pag = "Reporte Cuenta Ahorro";
include ("plantilla_cabecera.php");
include ("plantilla_menu.php");
} else {
echo "<center><h1>Favor Identificarse</h1></center><br>";
echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
exit();
}
?>




<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">


    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Reporte Cuenta Ahorro - <a href='nuevo_cuenta_ahorro.php'>Nuevo</a></h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>ID</th>
              <th>Cedula</th>
              <th>Nombre</th>
              <th>Apellido</th>
              <th>Nro. Socio</th>
              <th>Tipo Cuenta</th>
              <th>Saldo Inicial</th>
              <th>Interes Anual(%)</th>
              <th>Estado</th>
              <th>Usuario</th>
              <th>Fecha</th>
              <th>Hora</th>
              


            </tr>
          </thead>
          <tbody>
            <?php
            $sql = "SELECT  a.*,  c.nombres, c.apellidos,  b.primer_nombre, b.primer_apellido, d.nombre as tipo_ahorro
                    FROM ahorro_cuenta as a
                    inner join clientes as b 
                    on a.id_cliente =  b.id_cliente
                    inner join usuarios as c
                    on a.id_usuario = c.id
                    inner join tipo_cuenta_ahorro as d
                    on a.id_tipo_ahorro = d.id
                    ";
            $stmt = $conn->prepare($sql);
            //$stmt->execute(array(':id' => $idqtic ));
            $stmt->execute(array());
            // $resultadoF = $stmt->fetch();


            //  $stmt->execute();
            $resultado = $stmt->fetchAll();


            foreach ($resultado as $row) {


            ?>


              <tr>

                <td>
                  <?php echo $row['id']; ?>
                </td>

                <td>
                  <?php echo $row['cedula']; ?>
                </td>

                <td>
                  <?php echo $row['primer_nombre']; ?>
                </td>

                <td>
                  <?php echo $row['primer_apellido']; ?>
                </td>


                <td>
                  <?php echo $row['nro_socio']; ?>
                </td>

                <td>
                  <?php echo $row['tipo_ahorro']; ?>
                </td>

                <td>
                
                  <?php echo number_format($row['monto'], 0, '', '.'); ?>
                </td>

                <td>
                  <?php echo $row['interes_anual']; ?>
                </td>

              


                <td>
                  <?php echo ($row['estado'] == 1) ? 'Activo' : 'Inactivo';; ?>
                </td>

                <td>
                  <?php echo $row['nombres']." ".$row['apellidos']; ?>
                </td>


                <td>
                  <?php echo $row['fecha']; ?>
                </td>


                <td>
                  <?php echo $row['hora']; ?>
                </td>


               





              </tr>

            <?php
            }
            ?>

          </tbody>
          <tfoot>
            <tr>
            <th>ID</th>
              <th>Cedula</th>
              <th>Nombre</th>
              <th>Apellido</th>
              <th>Nro. Socio</th>
              <th>Tipo Cuenta</th>
              <th>Saldo Inicial</th>
              <th>Interes Anual(%)</th>
              <th>Estado</th>
              <th>Usuario</th>
              <th>Fecha</th>
              <th>Hora</th>


            </tr>
          </tfoot>
        </table>
      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],

      "language": {
            "lengthMenu": "Mostrando _MENU_ datos por pagina",
            "zeroRecords": "No se encontro nada",
            "info": "Mostrando pagina _PAGE_ de _PAGES_",
            "infoEmpty": "No hay datos",
            "infoFiltered": "(Filtrado de _MAX_ registros)",
            "search":"Buscar",
            "paginate": {
                "previous": "Anterior",
                "next": "Siguiente"
            }
        }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });





  var id = "";

  function editar(id) {
    var url = "modificar_pais.php?id=" + id;
    $.get(url, function(data) {
      $(".modal-body").html(data);
    });
  }



  
</script>

<div class="modal fade" id="exampleModalLong3" tabindex="5" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Modificar</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="mdialTamanio">
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
          <!-- <button type="button" class="btn btn-primary">Save changes</button>-->
        </div>
      </div>
    </div>
  </div>
</div>

